#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x7ef56df3, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xacdbe8ee, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x29f9fb60, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x6894e551, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x845be86a, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x0179fbe4, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x47a7bb70, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xfc1534d8, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x682eb2ce, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x861194ea, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xf3cf0c85, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0xc2880487, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x8957d2c1, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xac79ea2d, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x26c50b2d, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xdc891a0f, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x272d378e, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0xc2139296, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x3e56c501, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x48189886, "phy_set_mode_ext" },
	{ 0xea58c89c, "phy_power_on" },
	{ 0xe87975a5, "phy_init" },
	{ 0x83ae516d, "phy_power_off" },
	{ 0xca4b5738, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x18856d8, "regulator_disable" },
	{ 0x1e368174, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x525846b8, "__pm_runtime_idle" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0xa1a1b331, "ata_host_resume" },
	{ 0x775469ac, "ahci_reset_controller" },
	{ 0x47a92447, "ahci_init_controller" },
	{ 0x6b901d67, "regulator_enable" },
	{ 0x69a619b0, "platform_get_irq" },
	{ 0xe6d0bff3, "ahci_save_initial_config" },
	{ 0x615a56b4, "ahci_set_em_messages" },
	{ 0x283b268, "ata_host_alloc_pinfo" },
	{ 0xb3681719, "platform_get_resource" },
	{ 0xb3c186ee, "ata_port_desc" },
	{ 0xbc014876, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xefb30c05, "_dev_info" },
	{ 0x873b9dcc, "ahci_reset_em" },
	{ 0x639a0823, "ahci_print_info" },
	{ 0xbced4eab, "ahci_host_activate" },
	{ 0x9a73cfa1, "dma_set_mask" },
	{ 0xec3465a2, "_dev_err" },
	{ 0xd6b771d4, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf60d4654, "devres_open_group" },
	{ 0xab6b91eb, "__devres_alloc_node" },
	{ 0xafb10446, "devres_add" },
	{ 0xbc0264f, "platform_get_resource_byname" },
	{ 0xbc2a7fa5, "devm_platform_ioremap_resource_byname" },
	{ 0x7a0e1f, "devm_clk_bulk_get_all" },
	{ 0xe5a9f090, "devm_regulator_get" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4872a51d, "devm_of_phy_get" },
	{ 0x319caec9, "regulator_get" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x687b63e, "devres_remove_group" },
	{ 0x59755574, "devm_platform_ioremap_resource" },
	{ 0x6bda2a44, "devres_release_group" },
	{ 0x2b42bd, "devm_reset_control_array_get" },
	{ 0x3d9cb491, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x234dc05c, "ata_host_suspend" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0xa910f2ac, "ahci_ops" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "ED738B00998294F6C68F3EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
