#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ef446c, "mma9551_read_accel_scale" },
	{ 0x8455c51, "mma9551_read_accel_chan" },
	{ 0xd35a94c7, "mma9551_read_status_words" },
	{ 0x2267818c, "mma9551_gpio_config" },
	{ 0xc0526b, "i2c_client_get_device_id" },
	{ 0x5ffd8437, "devm_iio_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x12292c80, "mma9551_read_version" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x768b06c3, "__iio_device_register" },
	{ 0xbb7e038d, "mma9551_read_config_words" },
	{ 0xa6b99e31, "mma9551_app_reset" },
	{ 0xcfb9c3a3, "mma9551_write_config_words" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x2a4ce7a9, "acpi_match_device" },
	{ 0xcddcd05, "iio_push_event" },
	{ 0xc230eed9, "iio_enum_read" },
	{ 0x6d2fd081, "iio_enum_write" },
	{ 0x83062c50, "iio_enum_available_read" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7278926d, "i2c_register_driver" },
	{ 0xf1771082, "mma9551_set_device_state" },
	{ 0xbcd7fe96, "mma9551_sleep" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x42a2aafd, "iio_device_unregister" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x744a8f71, "iio_get_time_ns" },
	{ 0xafb12338, "mma9551_write_config_word" },
	{ 0x2d2bcd8a, "mma9551_read_config_word" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb07d5c0b, "mma9551_set_power_state" },
	{ 0x1a75e7a2, "i2c_del_driver" },
	{ 0x623f3f52, "mma9551_read_status_word" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mma9551_core,industrialio");

MODULE_ALIAS("i2c:mma9553");
MODULE_ALIAS("acpi*:MMA9553:*");

MODULE_INFO(srcversion, "0BF478B58F0E65D92F7213D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
