#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x3f3d7f5c, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x0e9b7f03, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x4dcb3912, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x68ce5304, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xc0672c1b, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x4725179c, "_gpl");
SYMBOL_CRC(is_fw_load, 0x356f6237, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xb9d12fdf, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xc027f334, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0xa4399d3c, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x32598599, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xe008ce81, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xd32b1262, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x001184d5, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x4b1783fd, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xcbf00fd0, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x77f471c3, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xc6a446f3, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x27deb3af, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x882b12fd, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x22386c36, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xf46abb20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xef287309, "usb_clear_halt" },
	{ 0xb1854551, "usb_put_dev" },
	{ 0xa17af58e, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a131d71, "video_devdata" },
	{ 0xec5763d3, "vb2_fop_release" },
	{ 0x61639707, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xe7db6885, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x990bd1f0, "usb_submit_urb" },
	{ 0xefb30c05, "_dev_info" },
	{ 0xcee2eed, "i2c_del_adapter" },
	{ 0x53bc2a9, "media_device_register_entity" },
	{ 0xc052c2f1, "media_device_cleanup" },
	{ 0x8c6fde73, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x89984b7, "i2c_unregister_device" },
	{ 0xd20f7f8, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3a3e10, "usb_control_msg" },
	{ 0x242b4426, "vb2_buffer_done" },
	{ 0x7c4175b8, "vb2_plane_vaddr" },
	{ 0x9ed2d1e9, "v4l2_ctrl_subscribe_event" },
	{ 0xb7c13554, "usb_set_interface" },
	{ 0xaa962224, "media_entity_pads_init" },
	{ 0xe6a13b0d, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x277f983a, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x8aab801, "usb_deregister" },
	{ 0x207582cd, "vb2_ioctl_qbuf" },
	{ 0xe5f707a9, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4d7ab521, "v4l2_s_ctrl" },
	{ 0xcc2f345e, "i2c_mux_alloc" },
	{ 0x3a47218d, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x39091377, "vb2_fop_read" },
	{ 0x6b0779c, "v4l2_device_register" },
	{ 0xa9758919, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c22e36b, "rc_allocate_device" },
	{ 0xb8bc1d8b, "pv_ops" },
	{ 0xdc85c0c, "usb_unlink_urb" },
	{ 0x27c63a15, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf7c7b8b2, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5cde6b1f, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc3e8f360, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x496d362c, "vb2_ioctl_streamon" },
	{ 0x98533bcd, "v4l2_mc_create_media_graph" },
	{ 0xffa17572, "vb2_fop_poll" },
	{ 0x67e8dc3c, "cx2341x_handler_init" },
	{ 0x7588a1ad, "cx2341x_handler_set_50hz" },
	{ 0x1d10d7e1, "__media_device_usb_init" },
	{ 0x8fcfee22, "v4l2_ctrl_handler_free" },
	{ 0xf5618e32, "i2c_transfer" },
	{ 0xe00924fc, "v4l2_device_unregister" },
	{ 0xe8be23d6, "usb_reset_endpoint" },
	{ 0x8b5c1cad, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x70e48677, "v4l2_subdev_call_wrappers" },
	{ 0xf46b1a4c, "v4l2_ctrl_log_status" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x573473ef, "v4l2_i2c_new_subdev" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf3ea11cd, "video_device_release_empty" },
	{ 0xf36988c1, "i2c_mux_add_adapter" },
	{ 0xaa241809, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5f103d5c, "v4l2_event_unsubscribe" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb69d22a7, "vb2_ioctl_reqbufs" },
	{ 0x9bfe1b6c, "vb2_queue_init" },
	{ 0x7caf50fe, "usb_alloc_urb" },
	{ 0x37968e72, "v4l2_ctrl_poll" },
	{ 0xa59edc30, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9403549a, "media_device_unregister" },
	{ 0xd27831d1, "usb_free_urb" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xc747624a, "vb2_ioctl_streamoff" },
	{ 0x74215708, "v4l2_ctrl_radio_filter" },
	{ 0xa140bb6b, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92557d3d, "v4l2_ctrl_add_handler" },
	{ 0x4aa8f645, "request_firmware" },
	{ 0xa1511a1d, "vb2_ops_wait_finish" },
	{ 0x2ec99343, "usb_register_driver" },
	{ 0xfcf8fca4, "v4l2_ctrl_handler_init_class" },
	{ 0x5181559f, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x81a0422f, "__media_device_register" },
	{ 0xf1d69c8e, "vb2_ioctl_querybuf" },
	{ 0x43e58d93, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc04b48e6, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0830658BA95E1A247C60F4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
