#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x3ff02f99, "");
SYMBOL_CRC(prestera_device_unregister, 0xad07b241, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x98ba5bf5, "eth_type_trans" },
	{ 0xe409ef68, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0xb2ef572e, "napi_complete_done" },
	{ 0x9e3521eb, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe740741f, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9a9b467a, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0x18cee422, "switchdev_bridge_port_offload" },
	{ 0xe58ba74d, "flow_block_cb_incref" },
	{ 0x3d6ae323, "flow_rule_match_ports_range" },
	{ 0xefb30c05, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdd2d5799, "free_fib_info" },
	{ 0x28ada4e7, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x68deb07, "vlan_dev_real_dev" },
	{ 0x95933a6d, "__dev_get_by_index" },
	{ 0x2b7cf26e, "devlink_port_unregister" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x4ae12f8c, "init_net" },
	{ 0x1973bf07, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb831b32e, "flow_block_cb_decref" },
	{ 0x56334b63, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xa61b1817, "napi_enable" },
	{ 0x1f8640c9, "register_netdev" },
	{ 0x60afe640, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7f7e66b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7e4bcf7, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x123d2b1b, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0x1326aa0a, "flow_rule_match_ports" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x71065749, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x9c920df9, "devlink_trap_report" },
	{ 0xb60326e9, "__neigh_event_send" },
	{ 0x916de794, "flow_block_cb_alloc" },
	{ 0xb02c0ef, "switchdev_handle_port_obj_add" },
	{ 0xca504f44, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf96ba5e, "__neigh_create" },
	{ 0xd78884fd, "netdev_walk_all_upper_dev_rcu" },
	{ 0xb8bc1d8b, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaf0459af, "neigh_destroy" },
	{ 0x89e733f9, "br_multicast_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x763b2dcb, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe2a3b595, "netdev_master_upper_dev_get_rcu" },
	{ 0x60e876c0, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x660f278a, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f76ee1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x91466b91, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x850526b, "devlink_priv" },
	{ 0x33d34c00, "devlink_port_register_with_ops" },
	{ 0x329b4f87, "netif_carrier_on" },
	{ 0x3be32541, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x63662adb, "devlink_trap_groups_register" },
	{ 0x7ff9f6b9, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0x58f2b6bf, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xee0ba183, "netdev_walk_all_lower_dev" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x5d693382, "napi_schedule_prep" },
	{ 0x4d91769e, "__fib_lookup" },
	{ 0x388a9170, "napi_disable" },
	{ 0x259c7827, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x8290569b, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaf0e006, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x78ed5efc, "init_dummy_netdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0x7e1aabaa, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8d415067, "alloc_etherdev_mqs" },
	{ 0xca574603, "netdev_lower_get_next" },
	{ 0x28a9f41d, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x81ad8570, "br_vlan_enabled" },
	{ 0x2d97aa51, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xe80bf367, "devlink_unregister" },
	{ 0xddd8897e, "dma_pool_create" },
	{ 0x75e60470, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x63d99937, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6742e62e, "register_fib_notifier" },
	{ 0x733c1cac, "l3mdev_fib_table_rcu" },
	{ 0x98d6c719, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd0e40e1c, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x425f4bc0, "dma_sync_single_for_device" },
	{ 0x24eaf192, "flow_rule_match_eth_addrs" },
	{ 0x7cfb0304, "devlink_port_attrs_set" },
	{ 0xbf652f72, "flow_block_cb_priv" },
	{ 0x3e1a9590, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ad2b7c8, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xe8f3f8be, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x95f2ef54, "devlink_free" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x5178fffa, "netdev_warn" },
	{ 0x7386174d, "flow_rule_match_ipv4_addrs" },
	{ 0xd349dced, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x95b33aa1, "fib_table_lookup" },
	{ 0x572748bc, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa1c7224a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc39732, "pskb_expand_head" },
	{ 0xf4dd21a2, "switchdev_handle_port_attr_set" },
	{ 0x244cade8, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x7b4dc2e0, "dev_driver_string" },
	{ 0xcfe8e8bf, "dev_addr_mod" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "2C978E552BC421FEE35C380");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
