#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x390a3934, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x00524128, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xe2395036, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x0acc32ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0x8e34366f, "brcmu_pktq_pdeq_match" },
	{ 0x1b3cf5b3, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x681b1f78, "sdio_writel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x36b743a1, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x71065749, "__pskb_pull_tail" },
	{ 0xf17b529, "netif_rx" },
	{ 0xe9880a30, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8f8e668e, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaae192ae, "skb_trim" },
	{ 0x17717f3, "skb_unlink" },
	{ 0x48201cb6, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef669fc3, "kthread_create_on_node" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1d075e27, "pm_runtime_forbid" },
	{ 0xa3fa23b5, "debugfs_create_file" },
	{ 0x9241405e, "brcmu_pktq_mdeq" },
	{ 0x1a9f83c, "cfg80211_unregister_wdev" },
	{ 0x5da45a47, "pci_pme_capable" },
	{ 0x59325114, "brcmu_pktq_penq" },
	{ 0x4b7c8097, "dma_free_attrs" },
	{ 0xd85e2dbe, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0xd0c14a3f, "__platform_driver_probe" },
	{ 0xd134812, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0xbbc3dde4, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc2f52e4b, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5c5fda03, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xc3e8f360, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f76ee1, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x329b4f87, "netif_carrier_on" },
	{ 0xca7cadca, "brcmu_pkt_buf_get_skb" },
	{ 0x5e1a9cc7, "mmc_hw_reset" },
	{ 0xa8ea91d9, "sdio_retune_release" },
	{ 0xa67d02a1, "sdio_claim_irq" },
	{ 0x84b339b7, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3ade6d76, "pci_disable_device" },
	{ 0x1d46311b, "pci_match_id" },
	{ 0xffdedf9, "sdio_enable_func" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8def54eb, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xb1611580, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x71aa63fe, "cfg80211_inform_bss_data" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0xc33db68f, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x259c7827, "dev_kfree_skb_any_reason" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x78c0035b, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x7c9cf92b, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x72788668, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe245d672, "pci_write_config_dword" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bdfb391, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc4237bb, "sdio_readb" },
	{ 0x9b238b1f, "sdio_writeb" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xa8bc7bd, "brcmu_pktq_mlen" },
	{ 0xb7c9314, "cfg80211_sched_scan_results" },
	{ 0x2dbe6bb2, "sdio_retune_hold_now" },
	{ 0x17845566, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7caf50fe, "usb_alloc_urb" },
	{ 0x808b8fed, "sdio_disable_func" },
	{ 0xf8d0f41a, "cfg80211_mgmt_tx_status_ext" },
	{ 0x64f847d7, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe9e19a35, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe55b0582, "sdio_set_block_size" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd27831d1, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x98f6ae9e, "pci_enable_device" },
	{ 0x75e60470, "skb_put" },
	{ 0x387a655d, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x1e2a52ab, "sdio_retune_crc_disable" },
	{ 0x1ab2c57f, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x33307294, "firmware_request_nowarn" },
	{ 0x7cd18e01, "platform_driver_unregister" },
	{ 0x6b8461c6, "sdio_claim_host" },
	{ 0x30a36bc9, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x39559494, "sdio_memcpy_fromio" },
	{ 0xf876410, "consume_skb" },
	{ 0xb96ef2b4, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xd0e40e1c, "unregister_netdev" },
	{ 0xb39f3aa5, "cfg80211_remain_on_channel_expired" },
	{ 0xd394e649, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6594445d, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x4aa8f645, "request_firmware" },
	{ 0x2ec99343, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xda49643f, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x8c998bfb, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xe87b78dc, "cfg80211_port_authorized" },
	{ 0xb738cc7f, "brcmu_pktq_init" },
	{ 0x979a18a2, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x426d2357, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7a4ac05, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x215730d5, "cfg80211_disconnected" },
	{ 0xab5a4056, "ether_setup" },
	{ 0xd159d26c, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc39732, "pskb_expand_head" },
	{ 0x23975456, "wake_up_process" },
	{ 0x7b4dc2e0, "dev_driver_string" },
	{ 0xcfe8e8bf, "dev_addr_mod" },
	{ 0x77be48af, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x98ba5bf5, "eth_type_trans" },
	{ 0xee3472d6, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0xf5a747c3, "alloc_netdev_mqs" },
	{ 0x523ef397, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5dc43fa4, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3f32aceb, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b6f32f0, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x70c13f1f, "cfg80211_crit_proto_stopped" },
	{ 0xb4b66e98, "wiphy_register" },
	{ 0x1f3b901f, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xbbbe392c, "cfg80211_put_bss" },
	{ 0xb4a7ab1d, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x990bd1f0, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xefb30c05, "_dev_info" },
	{ 0x32576a0b, "skb_queue_tail" },
	{ 0xcefe2138, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x349a4741, "cfg80211_check_combinations" },
	{ 0xc97f857c, "sdio_set_host_pm_flags" },
	{ 0x15c0ac46, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xeaa44203, "sdio_unregister_driver" },
	{ 0x331daa4b, "sdio_readsb" },
	{ 0xa651fd22, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfdce6e03, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x6870672f, "device_wakeup_enable" },
	{ 0xd77c5b80, "cfg80211_ibss_joined" },
	{ 0x12b30daa, "request_firmware_nowait" },
	{ 0x76d2c4db, "simple_open" },
	{ 0x1973bf07, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x183b6ff6, "wiphy_apply_custom_regulatory" },
	{ 0x5e1049ac, "cfg80211_michael_mic_failure" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x56334b63, "skb_push" },
	{ 0x4abba958, "sdio_retune_crc_enable" },
	{ 0xff6ac1a0, "brcmu_pktq_flush" },
	{ 0x7638f555, "brcmu_pktq_peek_tail" },
	{ 0xdcbe8315, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xb6db81f, "cfg80211_del_sta_sinfo" },
	{ 0xed5272c3, "sdio_readl" },
	{ 0xa55d105c, "mmc_set_data_timeout" },
	{ 0xd5a43273, "nla_put" },
	{ 0x1f8640c9, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7bd597c4, "wiphy_unregister" },
	{ 0x7f7e66b, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf7446418, "kthread_stop" },
	{ 0xe9ac55da, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8aab801, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd709587d, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core,usbcore");

MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");

MODULE_INFO(srcversion, "847A69FB5D8D4CE631ABF24");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
