#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52195627, "mt76x2_mcu_set_channel" },
	{ 0xab205097, "mt76x02_dma_disable" },
	{ 0xc14a9851, "mt76x02_mcu_set_radio_state" },
	{ 0x9822c705, "mt76_wake_tx_queue" },
	{ 0xcc3d9f7b, "mt76x02e_init_beacon_config" },
	{ 0x50312b2e, "mt76_get_antenna" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xfa4352e7, "mt76_set_stream_caps" },
	{ 0x68886f25, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6fee57b9, "pci_set_power_state" },
	{ 0xe9217933, "mt76x02_sta_ps" },
	{ 0x268830f8, "mt76x2_set_sar_specs" },
	{ 0x5fdc6f04, "mt76x02_sta_rate_tbl_update" },
	{ 0x81d9d1e5, "kthread_park" },
	{ 0xa0b27acf, "mt76_dma_cleanup" },
	{ 0xd159d26c, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4710ca34, "mt76x02_reconfig_complete" },
	{ 0x26fa8e6d, "mt76_alloc_device" },
	{ 0x23975456, "wake_up_process" },
	{ 0xfba90d12, "mt76x02_mac_shared_key_setup" },
	{ 0xc0bfa110, "mt76x02_ext_pa_enabled" },
	{ 0x8eb26383, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe31483aa, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25193c91, "mt76x02_set_tx_ackto" },
	{ 0x82cce0e5, "mt76x02_update_channel" },
	{ 0x9a9b467a, "__napi_schedule" },
	{ 0x6f3f72ca, "mt76x2_configure_tx_delay" },
	{ 0x33906f52, "mt76_pci_disable_aspm" },
	{ 0xefb30c05, "_dev_info" },
	{ 0x8735ee8b, "mt76x02_configure_filter" },
	{ 0x615912f0, "mt76_free_device" },
	{ 0x2655b95c, "mt76x02_queue_rx_skb" },
	{ 0xb7ba946c, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x96f04fc8, "pcim_iomap_regions" },
	{ 0xfda08c1b, "ieee80211_queue_delayed_work" },
	{ 0xec3465a2, "_dev_err" },
	{ 0xf1b5956e, "mt76x02_rx_poll_complete" },
	{ 0xe4ce7264, "mt76x02_mac_setaddr" },
	{ 0xbdef9508, "mt76_register_device" },
	{ 0x2c74e734, "mt76_set_tim" },
	{ 0x7c606dd, "mt76x02_sw_scan_complete" },
	{ 0xc36c0fe4, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa1b645ba, "mt76x02_phy_set_band" },
	{ 0x20ef7774, "mt76_set_channel" },
	{ 0x1348f9a8, "mt76x02_init_device" },
	{ 0xa61b1817, "napi_enable" },
	{ 0xc0c4695e, "mt76x02_tx" },
	{ 0x796b0cdb, "mt76_mmio_init" },
	{ 0xaff61c9a, "ieee80211_wake_queues" },
	{ 0xc263584f, "mt76x02_sta_remove" },
	{ 0x2e8c666, "mt76x02_edcca_init" },
	{ 0xc9d64abb, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf20688d8, "mt76x02_sta_add" },
	{ 0xc887daae, "mt76_unregister_device" },
	{ 0x9c8188d5, "mt76x2_mcu_load_cr" },
	{ 0x51280cf2, "pci_restore_state" },
	{ 0xa369e0d, "mt76x2_init_txpower" },
	{ 0x427076ad, "mt76x02_init_debugfs" },
	{ 0x73a34808, "mt76_get_survey" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x18cc9629, "mt76x2_mcu_init_gain" },
	{ 0x289fdb5d, "mt76x02_set_rts_threshold" },
	{ 0xec9a63bd, "mt76x02_tx_complete_skb" },
	{ 0x2a46b59f, "mt76_sta_state" },
	{ 0x3ad1e842, "mt76x02_mcu_msg_send" },
	{ 0x28cf5275, "mt76x2_phy_tssi_compensate" },
	{ 0x727e59e5, "ieee80211_stop_queues" },
	{ 0x30c49123, "mt76x02_mac_cc_reset" },
	{ 0xfceb3a7a, "mt76x02_bss_info_changed" },
	{ 0x8501ff50, "mt76x02_init_agc_gain" },
	{ 0xfb3937d5, "mt76x2_phy_update_channel_gain" },
	{ 0xbd2c8e46, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2cc4f25b, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x87906ca1, "mt76x02_add_interface" },
	{ 0x440267d0, "____mt76_poll_msec" },
	{ 0xfb409c8f, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbffe2cb0, "mt76x02_config_mac_addr_list" },
	{ 0x5054b68d, "mt76_get_sar_power" },
	{ 0xf12e695d, "mt76x02_tx_prepare_skb" },
	{ 0x99359aeb, "mt76x02_mcu_cleanup" },
	{ 0x7100f141, "mt76x02_ampdu_action" },
	{ 0x5284006b, "mt76x02_mcu_calibrate" },
	{ 0xbad2192, "mt76x02_conf_tx" },
	{ 0x914b043a, "mt76x02_mcu_function_select" },
	{ 0x9a73cfa1, "dma_set_mask" },
	{ 0xfeb05349, "mt76_sw_scan" },
	{ 0x2bfde9ae, "mt76_sta_pre_rcu_remove" },
	{ 0x3623def6, "pcim_iomap_table" },
	{ 0x52c10205, "mt76x2_get_temp_comp" },
	{ 0xd9f464c5, "mt76x02_mac_wcid_setup" },
	{ 0x5d693382, "napi_schedule_prep" },
	{ 0x388a9170, "napi_disable" },
	{ 0xa496b8d4, "__mt76_poll" },
	{ 0x73c6f8a9, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb3ab7b86, "pcim_enable_device" },
	{ 0xcf4a9a51, "mt76x2_phy_set_txpower_regs" },
	{ 0xd5add2b9, "mt76x2_phy_set_txpower" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0x3d22c1c3, "mt76x02_mac_start" },
	{ 0x317593db, "mt76x02_remove_interface" },
	{ 0x49e6d8c5, "mt76x02_dma_init" },
	{ 0xc2c0e923, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0xf28a2dbf, "pci_choose_state" },
	{ 0x1b1911c2, "mt76x02_set_ethtool_fwver" },
	{ 0x35aeaa1a, "mt76x02_tx_set_txpwr_auto" },
	{ 0x37b26445, "mt76x02_set_key" },
	{ 0x7929a6be, "mt76x02_mcu_parse_response" },
	{ 0xc9b2f537, "mt76_release_buffered_frames" },
	{ 0x4aa8f645, "request_firmware" },
	{ 0x26225787, "mt76_get_txpower" },
	{ 0xda49643f, "__pci_register_driver" },
	{ 0x87e0307d, "mt76_write_mac_initvals" },
	{ 0xd46bdbf4, "mt76x2_reset_wlan" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F27838563C06DA6D82A9F81");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
