#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x1f2867bb, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xa9993dbe, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x7a39b544, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x066b9252, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x83f6ea49, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x9766d914, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xdd706c2e, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x272be9b1, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x2ffe00ae, "_gpl");
SYMBOL_CRC(mt7921_stop, 0xae7ef140, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xa3fb61b9, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0xd893189e, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xb79d80bc, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xbf2dec9a, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x9ac55f73, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xe9f58f06, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc8a47a, "mt76_connac2_tx_check_aggr" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0x962e57fa, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc39732, "pskb_expand_head" },
	{ 0x23975456, "wake_up_process" },
	{ 0x11fa1167, "mt76_connac_free_pending_tx_skbs" },
	{ 0x3f318e38, "mt792x_sta_statistics" },
	{ 0xdfb7be80, "skb_queue_purge_reason" },
	{ 0x2873a26, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d938b23, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33c10acb, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7b7a8603, "mt792x_get_et_sset_count" },
	{ 0xc09a2696, "mt76_connac_mcu_set_mac_enable" },
	{ 0xfe040256, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x8ccb6bb0, "mt792x_init_acpi_sar_power" },
	{ 0xe2064498, "mt792x_set_wakeup" },
	{ 0xbd354588, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xefb30c05, "_dev_info" },
	{ 0x32576a0b, "skb_queue_tail" },
	{ 0x5c46e9f1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x75ddc991, "mt76_rx" },
	{ 0xed4ea437, "mt792x_load_firmware" },
	{ 0xece86bd9, "mt76_connac_mcu_sched_scan_req" },
	{ 0x973dba0a, "mt792x_get_et_stats" },
	{ 0xb27d0dc, "mt76_connac2_txwi_free" },
	{ 0xceeec41a, "__tracepoint_lp_event" },
	{ 0xdb32c02b, "mt76_connac_mcu_uni_add_bss" },
	{ 0x478902f2, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5d1e1927, "wiphy_to_ieee80211_hw" },
	{ 0x3a8025cc, "debugfs_attr_read" },
	{ 0xabcf2742, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfda08c1b, "ieee80211_queue_delayed_work" },
	{ 0x17975cd, "devm_kmemdup" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x1973bf07, "skb_pull" },
	{ 0xbdef9508, "mt76_register_device" },
	{ 0x1081b887, "mt792x_get_stats" },
	{ 0x6f7c9e23, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x7719a238, "simple_attr_release" },
	{ 0xd9cb4454, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xce55df9, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x56334b63, "skb_push" },
	{ 0x20ef7774, "mt76_set_channel" },
	{ 0xaff61c9a, "ieee80211_wake_queues" },
	{ 0x2def25a9, "mt76_mcu_send_and_get_msg" },
	{ 0x9ac0ba73, "ieee80211_beacon_get_template" },
	{ 0xc2416ba3, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x70390ccc, "mt76_eeprom_override" },
	{ 0x86739318, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xef8acbce, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x73a34808, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdebe53c, "devm_hwmon_device_register_with_groups" },
	{ 0x286cbea7, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3e678882, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x71065749, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xeae5ea6c, "mt792x_tx" },
	{ 0x8134b3d3, "mt792x_get_et_strings" },
	{ 0x2a46b59f, "mt76_sta_state" },
	{ 0xba601ec6, "ieee80211_ready_on_channel" },
	{ 0x727e59e5, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x32d3b040, "cfg80211_reg_can_beacon" },
	{ 0xecfdac37, "mt792x_remove_interface" },
	{ 0xae83274c, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x17be03ad, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x7fac535b, "mt792x_queues_read" },
	{ 0x6019f67, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xa3fa23b5, "debugfs_create_file" },
	{ 0x13a1639f, "mt792x_queues_acq" },
	{ 0x9aca22b9, "ieee80211_sched_scan_results" },
	{ 0x3c1887a6, "ieee80211_scan_completed" },
	{ 0x249df30d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1c3a2dbf, "mt76_insert_ccmp_hdr" },
	{ 0x3ea67d84, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xac829309, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x8ae6b284, "mt792x_tx_stats_show" },
	{ 0x4cd6afb9, "mt76_rx_aggr_start" },
	{ 0xd946d390, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xaf5619da, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6561298b, "mt792x_mac_init_band" },
	{ 0xa608bace, "mt76_skb_adjust_pad" },
	{ 0x137f634f, "mt792x_init_wiphy" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0x155c3d7a, "mt76_connac_sta_state_dp" },
	{ 0x85b7ec77, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xcba708bb, "single_release" },
	{ 0xeaade519, "mt76_queues_read" },
	{ 0x2bfde9ae, "mt76_sta_pre_rcu_remove" },
	{ 0x4dfe967e, "mt76_register_debugfs_fops" },
	{ 0x8e93003d, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xba3dce9b, "mt76_connac2_mac_write_txwi" },
	{ 0x5ce78e03, "__mt76_set_tx_blocked" },
	{ 0xe8d23de2, "mt76_connac_mcu_sta_ba" },
	{ 0x29a2e191, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xb261e5df, "ieee80211_queue_work" },
	{ 0x76823fe8, "mt792x_mac_reset_counters" },
	{ 0x1ddf1f86, "napi_consume_skb" },
	{ 0xa496b8d4, "__mt76_poll" },
	{ 0x8a69a2c6, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xeb3584f2, "single_open" },
	{ 0x99f4decd, "mt76_connac_mcu_add_key" },
	{ 0xd4fbc6bc, "mt792x_unassign_vif_chanctx" },
	{ 0x8468f6af, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x1ecd4115, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb12704fb, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xe6d4ade7, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xb71c3319, "ieee80211_sta_register_airtime" },
	{ 0x82a9bf04, "mt792x_init_wcid" },
	{ 0x27c4f95d, "mt792x_init_acpi_sar" },
	{ 0x33fb973b, "mt76_init_sar_power" },
	{ 0xd90b8087, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xce9ce1ce, "simple_attr_open" },
	{ 0x55729bb3, "ieee80211_iterate_interfaces" },
	{ 0x5aded058, "debugfs_attr_write" },
	{ 0x2e1b3505, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xda95f956, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x75e60470, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf876410, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x89a686d1, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xb895273, "mt792x_tx_worker" },
	{ 0xa3a4e4d5, "mt792x_flush" },
	{ 0x66556972, "mt792x_rx_get_wcid" },
	{ 0xd394e649, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x1590d8e0, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1a9f2862, "mt76_connac_mcu_set_channel_domain" },
	{ 0x79d7a98a, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc9b2f537, "mt76_release_buffered_frames" },
	{ 0x4aa8f645, "request_firmware" },
	{ 0x26225787, "mt76_get_txpower" },
	{ 0x8b20123c, "mt76_tx_status_skb_add" },
	{ 0x99ad7bdf, "mt76_connac_pm_wake" },
	{ 0xad833e23, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x6f921f8e, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x9822c705, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5eecb6b9, "mt76_connac_mcu_chip_config" },
	{ 0x50312b2e, "mt76_get_antenna" },
	{ 0x67e1341d, "mt792x_set_coverage_class" },
	{ 0x72e79a7f, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xd41854c6, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x390d857d, "seq_lseek" },
	{ 0xfa4352e7, "mt76_set_stream_caps" },
	{ 0xf92132b9, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x52a6f1d0, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x908de6e5, "mt76_connac_mcu_update_arp_filter" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "030E6E8158A4770DB87CDF8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
