#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xec3465a2, "_dev_err" },
	{ 0xaf09435a, "rt2800_mcu_request" },
	{ 0xcd35d531, "rt2800mmio_toggle_irq" },
	{ 0xfab788d4, "rt2800mmio_enable_radio" },
	{ 0xf60e04f, "rt2x00pci_remove" },
	{ 0xfa43e751, "rt2x00pci_pm_ops" },
	{ 0xc7dcf082, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x604883bd, "rt2800mmio_probe_hw" },
	{ 0x5ca36447, "rt2800_check_firmware" },
	{ 0xe5ce98c7, "rt2800_load_firmware" },
	{ 0xc05e226e, "rt2x00mmio_initialize" },
	{ 0xb6f16429, "rt2x00mmio_uninitialize" },
	{ 0xc56a250d, "rt2800mmio_get_entry_state" },
	{ 0x92aeaed2, "rt2800mmio_clear_entry" },
	{ 0x8cda8503, "rt2800_rfkill_poll" },
	{ 0x5e024d16, "rt2800_link_stats" },
	{ 0xfea257aa, "rt2800_reset_tuner" },
	{ 0x3d44e2bd, "rt2800_link_tuner" },
	{ 0xd612f414, "rt2800_gain_calibration" },
	{ 0x52889f3f, "rt2800_vco_calibration" },
	{ 0x18cfa508, "rt2800_watchdog" },
	{ 0xce4067e5, "rt2800mmio_start_queue" },
	{ 0xa80c0a3c, "rt2800mmio_kick_queue" },
	{ 0xf611c9ab, "rt2800mmio_stop_queue" },
	{ 0x6225d714, "rt2800mmio_flush_queue" },
	{ 0x72e29298, "rt2800mmio_write_tx_desc" },
	{ 0x2b2c3c0d, "rt2800_write_tx_data" },
	{ 0xbc325846, "rt2800_write_beacon" },
	{ 0xba861c8f, "rt2800_clear_beacon" },
	{ 0x9763953e, "rt2800mmio_fill_rxdone" },
	{ 0x75c7c98e, "rt2800_config_shared_key" },
	{ 0xa233a28, "rt2800_config_pairwise_key" },
	{ 0x9d9ee791, "rt2800_config_filter" },
	{ 0x9f42c28d, "rt2800_config_intf" },
	{ 0x382468a8, "rt2800_config_erp" },
	{ 0x2be88ced, "rt2800_config_ant" },
	{ 0x47f5cd6d, "rt2800_config" },
	{ 0x5465bd42, "rt2800_pre_reset_hw" },
	{ 0x89ca1c1f, "rt2x00mmio_regbusy_read" },
	{ 0xae2a8e32, "rt2800mmio_init_registers" },
	{ 0x1f647eb5, "rt2800mmio_get_txwi" },
	{ 0x9d25e2b2, "rt2800mmio_get_dma_done" },
	{ 0x3f3aae53, "rt2x00mac_tx" },
	{ 0x1be0721a, "rt2x00mac_start" },
	{ 0x813d3b46, "rt2x00mac_stop" },
	{ 0xcc3c39fa, "rt2x00mac_add_interface" },
	{ 0x119cd192, "rt2x00mac_remove_interface" },
	{ 0xd7023b64, "rt2x00mac_config" },
	{ 0x5d23cc2f, "rt2x00mac_bss_info_changed" },
	{ 0x89c5fa20, "rt2x00mac_configure_filter" },
	{ 0xcedca132, "rt2x00mac_set_key" },
	{ 0xf38ece8e, "rt2x00mac_sw_scan_start" },
	{ 0xf18c4cbd, "rt2x00mac_sw_scan_complete" },
	{ 0xef741f0f, "rt2x00mac_get_stats" },
	{ 0xc33a62d7, "rt2800_get_key_seq" },
	{ 0xa377d302, "rt2800_set_rts_threshold" },
	{ 0x772346e7, "rt2800_sta_add" },
	{ 0xe0b0f4cd, "rt2800_sta_remove" },
	{ 0x61ceb3a1, "rt2800_conf_tx" },
	{ 0xf3a234df, "rt2800_get_tsf" },
	{ 0xad8c1d92, "rt2800_ampdu_action" },
	{ 0xcbbc8684, "rt2800_get_survey" },
	{ 0xd5dfcd0c, "rt2x00mac_rfkill_poll" },
	{ 0x143a1d5b, "rt2x00mac_flush" },
	{ 0xd6d178eb, "rt2x00mac_get_ringparam" },
	{ 0x4a203d18, "rt2x00mac_tx_frames_pending" },
	{ 0x1019964a, "rt2x00mac_reconfig_complete" },
	{ 0xc0a42255, "ieee80211_handle_wake_tx_queue" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda49643f, "__pci_register_driver" },
	{ 0x89e3bbb, "rt2x00pci_probe" },
	{ 0xbdb3a1e, "rt2800_efuse_detect" },
	{ 0x6abcb598, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd159d26c, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
