#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0x62f60b56, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0xaa12233c, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0x0b195692, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0xb2ae81de, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x807bbd07, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0xe625f075, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0x867d1b19, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0x86b7233f, "");
SYMBOL_CRC(rtl92c_dm_init, 0x3b80e875, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x17cda1fe, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0xc85d673f, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0xf920ebc6, "");
SYMBOL_CRC(rtl92c_download_fw, 0x56f588f6, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0x56880c37, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0xcee8773a, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0x4b633947, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0xc83acfb1, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0xa8946e40, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0xede64963, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0xd0ab9cf0, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0xbd9825c3, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x793b424f, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0x090ca8ed, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x6dc6b37b, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0x6e0f2b97, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0xcdcd0b42, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x6dce4f3e, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0x2c9e9b7a, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0x7a08f564, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0x0a118d14, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0xab7f2a42, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0x6dfc3c2e, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0xb605e7a0, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0xa7cf0cb7, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x12270c39, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0x15dd72c7, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0xb11b4fe6, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0xdb3547fe, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0x3493076a, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0x0218060d, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0x3da076dc, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0xf956615b, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0xd5526be6, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0xd89a1c36, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0x5e0c494b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe7ca3935, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x598b6453, "rtl_cmd_send_packet" },
	{ 0xbf96c978, "_rtl_dbg_print_data" },
	{ 0x125b7426, "rtl_fw_page_write" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe9880a30, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x169f50b2, "rtl_dm_diginit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0x75e60470, "skb_put" },
	{ 0x559b2c67, "rtl_fw_block_write" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "E2786B2FCC1DF924381382A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
