#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x57a086ea, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x70dd8773, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0xf29cd9fb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x5bd530d1, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0xe2473fe3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xb2e5e17b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x7a4fc14e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x077a7670, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x75e735b0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0x46a87a78, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x83b2a3c0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x7042005f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xaca0287e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x94a2acea, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0x04ade237, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x171c3308, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x8f4b7259, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xccb5e7bc, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x9704c246, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x0ab217d9, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0xf650c9a8, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xdef4dfa2, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x7d7964b0, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x52fc1bb8, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x25125089, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x468a60f6, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x3b729eff, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xa83c595f, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x708e9de0, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x65948ce3, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0xedda21a1, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xe98843e4, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x95f0828b, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x68ab92d6, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x1a3ce39b, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xb1c7622b, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x116047f4, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0xd6954887, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x5369e7e3, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x8157897d, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x9ad88e51, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xa9c2e0ec, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x20d46dd2, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xf00a7e58, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x9453d9d8, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x657a9f43, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x08b9098e, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x6f7f7edf, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x638de3c6, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x2f81f853, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x5b5fa183, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xc8871af7, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0xc95941e3, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xf5f908f8, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x7c1659cf, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x15a67906, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xa7655607, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xa24287b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x754d539c, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9fadffb1, "perf_trace_run_bpf_submit" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0x475ea03c, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa795975f, "put_device" },
	{ 0xbeddfda8, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x39c7c434, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0xa3be1f3c, "get_device" },
	{ 0xf6fc4239, "device_find_child" },
	{ 0x7e3e2815, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe04d378a, "transport_remove_device" },
	{ 0xfc155a2e, "transport_destroy_device" },
	{ 0x96938db9, "device_del" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2af20807, "scsi_target_unblock" },
	{ 0xa8738225, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6d3dd400, "netlink_kernel_release" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0xad89102a, "transport_class_unregister" },
	{ 0xd66f6aa6, "class_unregister" },
	{ 0x2a09e998, "class_register" },
	{ 0xfc0b6cb6, "transport_class_register" },
	{ 0x38ee4522, "bus_register" },
	{ 0x4ae12f8c, "init_net" },
	{ 0xf4ee863d, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe12dc11f, "scsi_is_host_device" },
	{ 0xfb56e1f6, "scsi_scan_target" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5848b2f2, "scsi_host_get" },
	{ 0x27c49ff7, "device_initialize" },
	{ 0x9b7298e8, "device_add" },
	{ 0x6d0fac66, "transport_setup_device" },
	{ 0xfa282dab, "transport_add_device" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfbc292da, "attribute_container_unregister" },
	{ 0x9634b8bd, "bsg_remove_queue" },
	{ 0x816f90b1, "scsi_host_put" },
	{ 0x8347ef8d, "bsg_job_done" },
	{ 0x8bf830e3, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xad78301e, "bsg_setup_queue" },
	{ 0x6ffa51b4, "__scsi_init_queue" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0x43fdf2ef, "__nlmsg_put" },
	{ 0xde23ddfe, "netlink_broadcast" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x5fab996b, "dev_set_name" },
	{ 0xe6b71325, "device_register" },
	{ 0x12124074, "sysfs_create_group" },
	{ 0x7a1b32a4, "attribute_container_register" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0xc36e684, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x41b7629c, "netlink_capable" },
	{ 0x9055382c, "try_module_get" },
	{ 0xb819750, "scsi_host_lookup" },
	{ 0xa1485da6, "module_put" },
	{ 0x3caecf48, "netlink_unicast" },
	{ 0x1973bf07, "skb_pull" },
	{ 0xaae192ae, "skb_trim" },
	{ 0xfb578fc5, "memset" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
