#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0xc4335d03, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0x2a38fbd0, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc4237bb, "sdio_readb" },
	{ 0x9b238b1f, "sdio_writeb" },
	{ 0x8d415067, "alloc_etherdev_mqs" },
	{ 0x17845566, "sdio_release_host" },
	{ 0x808b8fed, "sdio_disable_func" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe55b0582, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x75e60470, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x6b8461c6, "sdio_claim_host" },
	{ 0x39559494, "sdio_memcpy_fromio" },
	{ 0xf876410, "consume_skb" },
	{ 0xb96ef2b4, "sdio_register_driver" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0e40e1c, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4aa8f645, "request_firmware" },
	{ 0x829c476b, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x426d2357, "sdio_memcpy_toio" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa1c7224a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcfe8e8bf, "dev_addr_mod" },
	{ 0xcfa94786, "crypto_destroy_tfm" },
	{ 0x98ba5bf5, "eth_type_trans" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b6f32f0, "sdio_release_irq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xefb30c05, "_dev_info" },
	{ 0xeaa44203, "sdio_unregister_driver" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x4c1c0297, "crypto_shash_setkey" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf02f4c3d, "wireless_send_event" },
	{ 0x1f8640c9, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7f7e66b, "free_netdev" },
	{ 0x1b41ad67, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd709587d, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf17b529, "netif_rx" },
	{ 0xe9880a30, "__netdev_alloc_skb" },
	{ 0xa36b46aa, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x367fa31b, "crypto_shash_finup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f76ee1, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x329b4f87, "netif_carrier_on" },
	{ 0xa67d02a1, "sdio_claim_irq" },
	{ 0xffdedf9, "sdio_enable_func" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("sdio:c*v005Bd7910*");
MODULE_ALIAS("sdio:c*v0023d7910*");

MODULE_INFO(srcversion, "9FA165086CD33111F1766FE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
