#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556e4390, "clk_get_rate" },
	{ 0x47c86aa9, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xef669fc3, "kthread_create_on_node" },
	{ 0x23975456, "wake_up_process" },
	{ 0x3ca7077f, "sched_set_fifo" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbb2702f0, "uart_get_rs485_mode" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcfa24ae2, "uart_add_one_port" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0x3d5615c0, "gpiochip_add_data_with_key" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x2d449dd1, "spi_setup" },
	{ 0x121ec4f7, "device_get_match_data" },
	{ 0x870b4096, "__devm_regmap_init_spi" },
	{ 0x3dd0dc8d, "dev_err_probe" },
	{ 0xbc70e5c9, "spi_get_device_id" },
	{ 0xc0526b, "i2c_client_get_device_id" },
	{ 0x68974b78, "__devm_regmap_init_i2c" },
	{ 0x6fb630b6, "regmap_noinc_write" },
	{ 0x91ae1fc1, "uart_write_wakeup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4c09c844, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17852727, "uart_insert_char" },
	{ 0x340610cd, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0x6885051a, "uart_try_toggle_sysrq" },
	{ 0xc9993ea2, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc1ca062b, "do_SAK" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x28ade88c, "uart_register_driver" },
	{ 0x7278926d, "i2c_register_driver" },
	{ 0x2d24bbcb, "__spi_register_driver" },
	{ 0x122c3a7e, "_printk" },
	{ 0x836f235f, "uart_unregister_driver" },
	{ 0x1a75e7a2, "i2c_del_driver" },
	{ 0x79a25bf0, "regmap_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9bfc60d4, "uart_handle_cts_change" },
	{ 0xd5235531, "uart_handle_dcd_change" },
	{ 0x85afe31a, "kthread_queue_work" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9395e030, "kthread_queue_delayed_work" },
	{ 0xf9aaeaa5, "gpiochip_get_data" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0x7a46382a, "regmap_update_bits_base" },
	{ 0x9814a98b, "kthread_cancel_delayed_work_sync" },
	{ 0x26c2487f, "uart_remove_one_port" },
	{ 0x44355296, "kthread_flush_worker" },
	{ 0xf7446418, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x4770f9ee, "gpiochip_remove" },
	{ 0xfd10b753, "regmap_write" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x48025722, "regcache_cache_bypass" },
	{ 0xcf8de93e, "uart_get_baud_rate" },
	{ 0x1eb13523, "uart_update_timeout" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x3cf9675b, "device_property_read_u32_array" },
	{ 0x3d9cb491, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "regmap-spi");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "2398976B2A71780978DF3BD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
