#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xbac83666, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x6a20e803, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0x0f81e730, "");
SYMBOL_CRC(vcc_release_async, 0xf15f8889, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x5bb12043, "");
SYMBOL_CRC(atm_dev_signal_change, 0xe73bda32, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x1cf2e5e1, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x035c0f72, "");
SYMBOL_CRC(atm_alloc_charge, 0x10d5be01, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0xd9884f93, "");
SYMBOL_CRC(atm_dev_lookup, 0x26491814, "");
SYMBOL_CRC(atm_dev_register, 0xc50ceb44, "");
SYMBOL_CRC(atm_dev_deregister, 0x034ae82c, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x54de39cf, "sock_register" },
	{ 0x2fe9f9a0, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa795975f, "put_device" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3a411511, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x32576a0b, "skb_queue_tail" },
	{ 0xa1485da6, "module_put" },
	{ 0x4e36666, "device_create_file" },
	{ 0x4ae12f8c, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x69206dad, "noop_llseek" },
	{ 0x81c85e95, "sk_free" },
	{ 0xe5de5370, "sock_wake_async" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0x611ffa93, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3272dd1a, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5e572e1e, "seq_putc" },
	{ 0xd66f6aa6, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9d187d2b, "lock_sock_nested" },
	{ 0xbffb618, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1785a98f, "sk_alloc" },
	{ 0xe6b71325, "device_register" },
	{ 0x96938db9, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x90fb1005, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x4baadae3, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x267c12a4, "skb_recv_datagram" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfb30c659, "remove_proc_entry" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0x16d4e589, "sock_gettstamp" },
	{ 0x1f793131, "_proc_mkdir" },
	{ 0xb1611580, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x259c7827, "dev_kfree_skb_any_reason" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0x79695f40, "proc_create_seq_private" },
	{ 0x2a09e998, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xa0bbfcc3, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xcbe2279a, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfb66b615, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x14df717c, "skb_free_datagram" },
	{ 0x9055382c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x75e60470, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5fab996b, "dev_set_name" },
	{ 0xf876410, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xd394e649, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xee1d8e60, "proc_create_data" },
	{ 0x710af14f, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xdfb7be80, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa3528988, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7ED864EF7F799A8E75E778F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
