#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x172cfbc2, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0xee82df7b, "");
SYMBOL_CRC(ax25_linkfail_release, 0x9d437cbe, "");
SYMBOL_CRC(ax25_listen_register, 0xe3db781f, "");
SYMBOL_CRC(ax25_listen_release, 0x7858533c, "");
SYMBOL_CRC(ax25_header_ops, 0x77568281, "");
SYMBOL_CRC(ax25_ip_xmit, 0xa99f20d9, "");
SYMBOL_CRC(ax25_send_frame, 0xc00fdaea, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0x7f46977a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa87a7c09, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfb7be80, "skb_queue_purge_reason" },
	{ 0x40e8ee60, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa3528988, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x54de39cf, "sock_register" },
	{ 0xe92534a0, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xeefc197e, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3a411511, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x32576a0b, "skb_queue_tail" },
	{ 0x4ae12f8c, "init_net" },
	{ 0x1973bf07, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7c44c477, "dev_remove_pack" },
	{ 0x81c85e95, "sk_free" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x56334b63, "skb_push" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x9d187d2b, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbffb618, "skb_copy_datagram_iter" },
	{ 0x5c70f9a0, "__skb_wait_for_more_packets" },
	{ 0x1785a98f, "sk_alloc" },
	{ 0x90fb1005, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xe0ebc725, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4baadae3, "sock_no_mmap" },
	{ 0xf17b529, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x386b7ba7, "sock_rfree" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0d30d9a, "sock_i_ino" },
	{ 0xada4cd47, "__dev_queue_xmit" },
	{ 0x5155f5ed, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xc2854cb8, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xfb30c659, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0x7abb557, "skb_copy" },
	{ 0x49059824, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0x16d4e589, "sock_gettstamp" },
	{ 0xb1611580, "send_sig" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc1c274b8, "from_kuid_munged" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0x79695f40, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa0bbfcc3, "sock_init_data" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xfb66b615, "release_sock" },
	{ 0x6bdfb391, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x14df717c, "skb_free_datagram" },
	{ 0x6d47ec19, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x75e60470, "skb_put" },
	{ 0x7180a59a, "skb_expand_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x659771d8, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd394e649, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xeb33b188, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA7EF650161236D4158E2E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
