#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x856c018e, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xdd125239, "");
SYMBOL_CRC(dccp_v4_send_check, 0x6da35d45, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x65b081e0, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x14656933, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xc3d568e0, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xe77e7352, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xbb1f616c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0e82ced, "dccp_rcv_state_process" },
	{ 0x1ec42aed, "dccp_reqsk_send_ack" },
	{ 0xa276aef4, "inet_lookup_reuseport" },
	{ 0x5efe15bf, "__inet_lookup_listener" },
	{ 0x5833c528, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xd1aa87d8, "sock_common_getsockopt" },
	{ 0xd5a3ac14, "inet_bind" },
	{ 0x8785dd97, "__inet_inherit_port" },
	{ 0xfb777b4b, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x9096d8fa, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x69aae531, "__xfrm_policy_check" },
	{ 0x635cded5, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbb91666, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x9211afad, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56d2b801, "sk_error_report" },
	{ 0x31ba5992, "register_pernet_subsys" },
	{ 0x4a8c54e5, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5ab07018, "inet_getname" },
	{ 0x2d5e596e, "inet_stream_connect" },
	{ 0xa3528988, "proto_unregister" },
	{ 0x86c146b2, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x90c0a885, "inet_ehashfn" },
	{ 0x2290148f, "inet_twsk_purge" },
	{ 0xe928006f, "dccp_done" },
	{ 0x3b76e607, "inet_release" },
	{ 0xc6e5ccfb, "__sk_dst_check" },
	{ 0xe2e52213, "dccp_disconnect" },
	{ 0xa122943f, "ip_route_output_key_hash" },
	{ 0x3a411511, "proto_register" },
	{ 0xcfd43f5a, "inet_hash" },
	{ 0x7adeff96, "__sk_receive_skb" },
	{ 0x7cb003e, "dccp_poll" },
	{ 0xa96dd8ae, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x31ad69d9, "inet_csk_get_port" },
	{ 0xaf4aadba, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x8e9578b, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x7d18f291, "inet_accept" },
	{ 0xee22db65, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaedfaa38, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x62bcedd8, "inet_add_protocol" },
	{ 0x52366a6d, "inet_shutdown" },
	{ 0x81c85e95, "sk_free" },
	{ 0x64800871, "dccp_close" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0x21161744, "dccp_reqsk_init" },
	{ 0x2246f4a4, "inet_hash_connect" },
	{ 0xab619bde, "kmem_cache_free" },
	{ 0x1fe1b43f, "inet_csk_route_child_sock" },
	{ 0x12c83353, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0x1ee8a794, "inet_csk_update_pmtu" },
	{ 0x49a54109, "dccp_getsockopt" },
	{ 0xb68ff921, "dccp_parse_options" },
	{ 0x46afcb5c, "unregister_pernet_subsys" },
	{ 0x9d08c3ad, "skb_checksum" },
	{ 0x90fb1005, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4baadae3, "sock_no_mmap" },
	{ 0x71065749, "__pskb_pull_tail" },
	{ 0xd12a5137, "dccp_child_process" },
	{ 0x322a9524, "sock_common_recvmsg" },
	{ 0xf931e800, "dccp_setsockopt" },
	{ 0xffda883f, "dccp_ioctl" },
	{ 0xd0bb5abc, "inet_sk_rebuild_header" },
	{ 0xdc1cd718, "inet_del_protocol" },
	{ 0x9c929f20, "ipv4_mtu" },
	{ 0x6bf345b3, "dccp_recvmsg" },
	{ 0x88cac8cd, "inet_sendmsg" },
	{ 0xa5086521, "dccp_check_req" },
	{ 0x2a09b648, "dccp_create_openreq_child" },
	{ 0x3e80030c, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x27bbca8, "sock_pfree" },
	{ 0xba2207f2, "dccp_rcv_established" },
	{ 0xa5f82c8d, "dccp_send_sync" },
	{ 0xdfc7c3fe, "dst_release" },
	{ 0xa8837346, "sock_release" },
	{ 0xb150091f, "dccp_make_response" },
	{ 0x70ea5a5e, "dccp_destroy_sock" },
	{ 0xf11b00f5, "dccp_ctl_make_reset" },
	{ 0x16d4e589, "sock_gettstamp" },
	{ 0xd505a830, "sk_setup_caps" },
	{ 0x2d64731a, "ip_build_and_send_pkt" },
	{ 0xda2c6a5e, "dccp_sendmsg" },
	{ 0x1386cca8, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xda4913a5, "inet_twsk_put" },
	{ 0x132cfa36, "inet_unhash" },
	{ 0x5ad93077, "ip_getsockopt" },
	{ 0x353f5cc2, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47d78e0a, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xb027db1, "inet_csk_reqsk_queue_drop" },
	{ 0xe288d0a9, "__inet_lookup_established" },
	{ 0xd6f1e75b, "inet_bhash2_reset_saddr" },
	{ 0x3337d414, "inet_csk_addr2sockaddr" },
	{ 0x66963fc6, "inet_unregister_protosw" },
	{ 0x8c9b2eb8, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2871dae7, "dccp_shutdown" },
	{ 0xbafea60b, "inet_bhash2_update_saddr" },
	{ 0xbea9d9a9, "dccp_connect" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "9DA0A26EFC48E12227569C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
