#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xf1c61f2c, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x90af00ce, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x3fe02a99, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x64ae3c99, "");
SYMBOL_CRC(gss_mech_put, 0x4b3b2f30, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x99a04276, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x5b9a625d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x139d4f40, "rpcauth_init_credcache" },
	{ 0xa7850c4c, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x7d76d798, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0x1c687059, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb786d809, "rpc_sleep_on_timeout" },
	{ 0x4156924c, "rpc_create" },
	{ 0xa7ab70, "bpf_trace_run1" },
	{ 0xac5882bb, "rpc_call_sync" },
	{ 0x4d26c4c4, "from_kuid" },
	{ 0x46afcb5c, "unregister_pernet_subsys" },
	{ 0x384eea35, "rpc_queue_upcall" },
	{ 0x8b94fe5b, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe03d5eea, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa40d78ac, "svcauth_unix_set_client" },
	{ 0x4d9ae5c5, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x2c6296dd, "make_kgid" },
	{ 0x539b3c5e, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x33156909, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc62998d4, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x57942947, "bpf_trace_run3" },
	{ 0xe031d64d, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5ad8cd0, "rpc_mkpipe_dentry" },
	{ 0x2b329dbd, "rpc_mkpipe_data" },
	{ 0xc83640f3, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x6306e48a, "cache_register_net" },
	{ 0xfbf3fa73, "init_user_ns" },
	{ 0xb3247c05, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6f1e8b4b, "xdr_inline_pages" },
	{ 0xd99eb834, "__folio_put" },
	{ 0xfb30c659, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xe68feb53, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6413a6a8, "rpc_unlink" },
	{ 0x680a86b3, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xc1c274b8, "from_kuid_munged" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x2a1433a1, "rpcauth_init_cred" },
	{ 0x7665fdb5, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xef85f4e7, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xb993b25e, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1747f9df, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xc1062519, "sunrpc_cache_update" },
	{ 0xaa30c5bb, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x32729485, "auth_domain_put" },
	{ 0xea6459c6, "rpcauth_unwrap_resp_decode" },
	{ 0x40d3a3fa, "rpcauth_register" },
	{ 0x3e76c5ab, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9055382c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe89834aa, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x1a02f48b, "xdr_buf_from_iov" },
	{ 0x572e4d8, "bpf_trace_run4" },
	{ 0xfb500d51, "xdr_stream_decode_opaque_auth" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc7503496, "xdr_write_pages" },
	{ 0xb800a17c, "rpc_shutdown_client" },
	{ 0x1db218a8, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd2a88b58, "xdr_inline_decode" },
	{ 0x51c59040, "cache_create_net" },
	{ 0x4be8eb86, "rpcauth_destroy_credcache" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x3d64d46c, "bpf_trace_run6" },
	{ 0xe4f44c1, "rpc_net_ns" },
	{ 0xd2e72892, "read_bytes_from_xdr_buf" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7da43696, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x22b6c918, "__put_devmap_managed_page_refs" },
	{ 0xee1d8e60, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x475ea03c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe384d349, "xdr_truncate_decode" },
	{ 0xed158d97, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe26bf197, "__xdr_commit_encode" },
	{ 0xc7aef14, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd795d2, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0x31ba5992, "register_pernet_subsys" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xde3634f8, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbb0d5a19, "rpc_release_client" },
	{ 0xebe544bc, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67c62fea, "svc_auth_register" },
	{ 0x9dd0085d, "xdr_stream_encode_opaque_auth" },
	{ 0xeefc197e, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x937e2d0c, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x442f1d3, "__free_pages" },
	{ 0x211e9338, "rpc_pipe_generic_upcall" },
	{ 0xa1485da6, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xd2179c95, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe1ff4295, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9fadffb1, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x19c430cf, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D3213DC345F5419BC550B8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
