#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0xa294bed8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9166fada, "strncpy" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0x43fdf2ef, "__nlmsg_put" },
	{ 0x3caecf48, "netlink_unicast" },
	{ 0x284a71d5, "xfrm_sad_getinfo" },
	{ 0xaae192ae, "skb_trim" },
	{ 0xab9cc046, "xfrm_spd_getinfo" },
	{ 0x37597e53, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x43748685, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0x5cbea06f, "xfrm_init_replay" },
	{ 0xe8d81f93, "xfrm_dev_state_add" },
	{ 0x2b18721e, "xfrm_state_update" },
	{ 0xb905e9db, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf8684172, "__xfrm_state_destroy" },
	{ 0x3191605c, "xfrm_state_add" },
	{ 0xde23ddfe, "netlink_broadcast" },
	{ 0x4ae12f8c, "init_net" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x1143f420, "__fib6_flush_trees" },
	{ 0xf55348ac, "xfrm_state_lookup_byaddr" },
	{ 0x5d4a01f0, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0x2b3ec40f, "xfrm_state_delete" },
	{ 0x77b52ddf, "xfrm_audit_state_delete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x42f10e4f, "km_state_expired" },
	{ 0x6e71d05, "__xfrm_state_delete" },
	{ 0x3bd81a35, "xfrm_policy_byid" },
	{ 0x79b179cb, "km_policy_expired" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x792890e1, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0xb8a43bd0, "xfrm_policy_destroy" },
	{ 0x5489674, "xfrm_policy_delete" },
	{ 0x7b04676f, "xfrm_audit_policy_delete" },
	{ 0x312ed932, "verify_spi_info" },
	{ 0x9d8f33e9, "xfrm_find_acq_byseq" },
	{ 0x53424932, "xfrm_find_acq" },
	{ 0xcd08ef0c, "xfrm_alloc_spi" },
	{ 0x69ab6a8d, "xfrm_dev_policy_add" },
	{ 0xa8e0c5de, "xfrm_policy_insert" },
	{ 0xb22c27e, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x806a641e, "km_query" },
	{ 0x35d3fd27, "xfrm_state_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x31ba5992, "register_pernet_subsys" },
	{ 0x9b5bdbda, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe9183d62, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6d3dd400, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x85312fa0, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1780a1a8, "xfrm_policy_hash_rebuild" },
	{ 0xbe8dfddd, "xfrm_state_flush" },
	{ 0xa2aa5bf0, "km_state_notify" },
	{ 0x65bdf253, "xfrm_policy_walk_done" },
	{ 0x1d373636, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0x6eaebfcb, "xfrm_state_walk_done" },
	{ 0xf4ee863d, "__netlink_kernel_create" },
	{ 0x4ad99641, "xfrm_unregister_km" },
	{ 0x46afcb5c, "unregister_pernet_subsys" },
	{ 0xce3fa2d0, "netlink_net_capable" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x7502ecd3, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4db7832b, "xfrm_get_translator" },
	{ 0xd7625a2b, "xfrm_put_translator" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x109fc449, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0xa33d1db5, "xfrm_policy_alloc" },
	{ 0x7720817c, "xfrm_policy_flush" },
	{ 0xc2f714d6, "km_policy_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfebd9c74, "xfrm_migrate" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xfb578fc5, "memset" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "6E77759A2F520743F5EFDC2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
