#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0xa59cbef5, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x522de037, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x4885c1b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0xc0129a34, "cs35l41_init_boost" },
	{ 0x6947a022, "cs35l41_enter_hibernate" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x72e04a5f, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0x60f8015a, "regulator_bulk_disable" },
	{ 0x3cf9675b, "device_property_read_u32_array" },
	{ 0x2a21f30c, "snd_soc_get_enum_double" },
	{ 0xefb30c05, "_dev_info" },
	{ 0x5a5cd23c, "snd_soc_info_volsw" },
	{ 0x25ffcf5e, "regmap_multi_reg_write_bypassed" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x6d109071, "wm_adsp_event" },
	{ 0xde8f9f08, "snd_soc_dapm_put_volsw" },
	{ 0x8bcca162, "cs35l41_test_key_unlock" },
	{ 0x24b2647a, "cs35l41_test_key_lock" },
	{ 0xbbddcf79, "snd_pcm_hw_constraint_list" },
	{ 0x7c793270, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0x6708928d, "wm_adsp2_component_probe" },
	{ 0x97701cae, "wm_adsp2_preloader_put" },
	{ 0x4e5c00b7, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa28b76e, "wm_adsp2_preloader_get" },
	{ 0x47c11fd6, "snd_soc_info_enum_double" },
	{ 0xcbc65bf8, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x654e91b0, "devm_regulator_bulk_get" },
	{ 0x1e5d1817, "snd_soc_info_volsw_sx" },
	{ 0x827e9545, "cs35l41_otp_unpack" },
	{ 0xc4d4cf1a, "wm_adsp2_component_remove" },
	{ 0xbf2105a5, "snd_soc_get_volsw" },
	{ 0x1f839b70, "cs35l41_exit_hibernate" },
	{ 0x79a25bf0, "regmap_read" },
	{ 0x77c5e8e3, "snd_soc_put_volsw" },
	{ 0x3d620f5c, "wm_adsp_fw_get" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0xe3f8469f, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xea9fca3b, "cs35l41_write_fs_errata" },
	{ 0x2c4bb29d, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc2374b65, "cs35l41_configure_cs_dsp" },
	{ 0x5d85b935, "_dev_crit" },
	{ 0x7a46382a, "regmap_update_bits_base" },
	{ 0x3dd0dc8d, "dev_err_probe" },
	{ 0x635228e, "snd_soc_dapm_get_volsw" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0xcb51f364, "snd_soc_dapm_get_enum_double" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0xb5a5ad13, "wm_halo_init" },
	{ 0x5b6a9fd6, "wm_adsp_early_event" },
	{ 0xc6e7d18a, "cs35l41_set_channels" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0x14e8731c, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x1aba0272, "snd_soc_dapm_put_enum_double" },
	{ 0x3aa49c, "wm_adsp_fw_put" },
	{ 0xc5b3a533, "device_property_present" },
	{ 0x2aab3166, "cs35l41_global_enable" },
	{ 0x8a5018ad, "regcache_cache_only" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0xe211423b, "regcache_sync" },
	{ 0xfd10b753, "regmap_write" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0x2c482966, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0x3081b773, "cs35l41_register_errata_patch" },
	{ 0x7b121828, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d055db6, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe5c50884, "snd_soc_put_enum_double" },
	{ 0xf39ad53e, "regcache_mark_dirty" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "1B8BD72A555B1E8A00618FD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
