#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x107c0458, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x7a135b8d, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xbc164880, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x83767ab0, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x749256b5, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x01facf74, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xc34cf66e, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xf9fa9e85, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xa6fcc9c6, "_gpl");
SYMBOL_CRC(can_bus_off, 0xdd362aaa, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xafd3f02a, "_gpl");
SYMBOL_CRC(free_candev, 0xa325676c, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x71538519, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xceb2e593, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x79fe64cf, "");
SYMBOL_CRC(open_candev, 0xa76ecae7, "_gpl");
SYMBOL_CRC(close_candev, 0x369dba5c, "_gpl");
SYMBOL_CRC(register_candev, 0x3f609997, "_gpl");
SYMBOL_CRC(unregister_candev, 0x1c74db22, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x4857f5b9, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x6acf93fc, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x6d633b79, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x4d73350e, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xb4847762, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x1e340499, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x10647aa3, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0xfe11e51e, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xe474c902, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xb0501871, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x719c6269, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x2cf636fe, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xa5b1bc28, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0xe927f588, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x0f75f31c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0e40e1c, "unregister_netdev" },
	{ 0xd394e649, "skb_dequeue" },
	{ 0x5115e88a, "rtnl_link_register" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x5178fffa, "netdev_warn" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd349dced, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0xa1c7224a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfb7be80, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2ef572e, "napi_complete_done" },
	{ 0xf5a747c3, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9a9b467a, "__napi_schedule" },
	{ 0x3cf9675b, "device_property_read_u32_array" },
	{ 0xfaafd3f5, "rtnl_link_unregister" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0xa61b1817, "napi_enable" },
	{ 0xe72b95ce, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x1f8640c9, "register_netdev" },
	{ 0x7f7e66b, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8d1dec28, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf17b529, "netif_rx" },
	{ 0xe9880a30, "__netdev_alloc_skb" },
	{ 0xaae192ae, "skb_trim" },
	{ 0xa36b46aa, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f76ee1, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x49059824, "skb_clone" },
	{ 0x329b4f87, "netif_carrier_on" },
	{ 0x3dd0dc8d, "dev_err_probe" },
	{ 0x5d693382, "napi_schedule_prep" },
	{ 0x259c7827, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2a38fbd0, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x75e60470, "skb_put" },
	{ 0x98b038f3, "gpiod_set_value" },
	{ 0x161257be, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf876410, "consume_skb" },
	{ 0x98d6c719, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "19924326AF55730FADE0FB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
