#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_phylink_mac_config, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_down, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_up, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_enable_set, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0xade3ddcc, "");
SYMBOL_CRC(b53_enable_port, 0x9b43caab, "");
SYMBOL_CRC(b53_disable_port, 0xa18353a6, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x4522bfdb, "");
SYMBOL_CRC(b53_configure_vlan, 0x562bfc77, "");
SYMBOL_CRC(b53_get_strings, 0x46e2caf0, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x049d8126, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x2b249eb4, "");
SYMBOL_CRC(b53_get_sset_count, 0x36d31766, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0xb82ba3b4, "");
SYMBOL_CRC(b53_port_event, 0xc7bfdc06, "");
SYMBOL_CRC(b53_phylink_mac_config, 0xfb5c56a3, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0xec9ff82e, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0x26398b98, "");
SYMBOL_CRC(b53_vlan_filtering, 0x7cc4688e, "");
SYMBOL_CRC(b53_vlan_add, 0xf8bbc863, "");
SYMBOL_CRC(b53_vlan_del, 0x8003ddb4, "");
SYMBOL_CRC(b53_fdb_add, 0x6a907667, "");
SYMBOL_CRC(b53_fdb_del, 0x08831e65, "");
SYMBOL_CRC(b53_fdb_dump, 0x5ab1f90b, "");
SYMBOL_CRC(b53_mdb_add, 0x72ede062, "");
SYMBOL_CRC(b53_mdb_del, 0x7fbe78e7, "");
SYMBOL_CRC(b53_br_join, 0x4f18de4f, "");
SYMBOL_CRC(b53_br_leave, 0x1ffcbad1, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xab0d99d9, "");
SYMBOL_CRC(b53_br_fast_age, 0x9cfeb20c, "");
SYMBOL_CRC(b53_br_flags_pre, 0x5526b51a, "");
SYMBOL_CRC(b53_br_flags, 0xefc942bf, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xfb70c440, "");
SYMBOL_CRC(b53_mirror_add, 0xac3f008f, "");
SYMBOL_CRC(b53_mirror_del, 0x3c1e3de2, "");
SYMBOL_CRC(b53_eee_enable_set, 0xf5a63db8, "");
SYMBOL_CRC(b53_eee_init, 0x5a24e222, "");
SYMBOL_CRC(b53_get_mac_eee, 0xc3d59106, "");
SYMBOL_CRC(b53_set_mac_eee, 0x12640bac, "");
SYMBOL_CRC(b53_switch_alloc, 0xa33b32e0, "");
SYMBOL_CRC(b53_switch_detect, 0x0a1b3bdc, "");
SYMBOL_CRC(b53_switch_register, 0xc9e2acbb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x43b54981, "dsa_devlink_resources_unregister" },
	{ 0x8c474261, "dsa_devlink_resource_register" },
	{ 0xbc1a8742, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa2052b83, "mdiobus_get_phy" },
	{ 0x1095f811, "phy_ethtool_get_stats" },
	{ 0x34d105f2, "phy_ethtool_get_sset_count" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb600e062, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f964df1, "dsa_port_phylink_mac_change" },
	{ 0x7f5c8a75, "phy_init_eee" },
	{ 0xec3465a2, "_dev_err" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xefb30c05, "_dev_info" },
	{ 0x6958e789, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8d7fba2, "gpio_to_desc" },
	{ 0x1da076ea, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "F084A01B46DD43E5AD0C5EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
