#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0x8173cd3a, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x73c132fb, "");
SYMBOL_CRC(mana_uncfg_vport, 0x6c3bbc5d, "");
SYMBOL_CRC(mana_cfg_vport, 0x5cfa48ae, "");
SYMBOL_CRC(mana_create_wq_obj, 0xa7d01911, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0xab1a36da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xa1c7224a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc39732, "pskb_expand_head" },
	{ 0x7b4dc2e0, "dev_driver_string" },
	{ 0xcfe8e8bf, "dev_addr_mod" },
	{ 0x1508a80, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x98ba5bf5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0xb2ef572e, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x148662da, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa795975f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6b9dd7c8, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xefb30c05, "_dev_info" },
	{ 0xb0d5682c, "napi_gro_receive" },
	{ 0x8110fa64, "netif_device_attach" },
	{ 0x32576a0b, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x3915ebbb, "__skb_get_hash" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x3fa5df63, "xdp_build_skb_from_frame" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xba52d7ea, "netif_set_real_num_tx_queues" },
	{ 0x3b53ba1b, "__auxiliary_device_add" },
	{ 0xd8b428e6, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x811e81e8, "netdev_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xdcbe8315, "dma_alloc_attrs" },
	{ 0xf363a20f, "pcie_flr" },
	{ 0xa61b1817, "napi_enable" },
	{ 0x1f8640c9, "register_netdev" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7f7e66b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd392220e, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb0af9720, "pci_iounmap" },
	{ 0xd709587d, "netif_tx_wake_queue" },
	{ 0x96938db9, "device_del" },
	{ 0x5e60400a, "page_pool_create" },
	{ 0xabca7c86, "page_pool_put_defragged_page" },
	{ 0xfb578fc5, "memset" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9ff8d4f3, "__alloc_pages" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0xe0ebc725, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd6b771d4, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4b7c8097, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc9ddcc52, "pci_release_regions" },
	{ 0xa38ad7ab, "bpf_prog_add" },
	{ 0x59b82646, "xdp_rxq_info_unreg" },
	{ 0x5a865272, "page_pool_alloc_pages" },
	{ 0x3a1b051d, "napi_build_skb" },
	{ 0xd99eb834, "__folio_put" },
	{ 0xc0c5b478, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f76ee1, "netif_carrier_off" },
	{ 0x329b4f87, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3ade6d76, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x9a73cfa1, "dma_set_mask" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x634f8169, "xdp_master_redirect" },
	{ 0xb5cfa7fd, "__napi_schedule_irqoff" },
	{ 0x5d693382, "napi_schedule_prep" },
	{ 0x1ddf1f86, "napi_consume_skb" },
	{ 0x388a9170, "napi_disable" },
	{ 0x259c7827, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2a7abb97, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0x2a38fbd0, "netdev_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd419fd94, "__tracepoint_xdp_exception" },
	{ 0x8d415067, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc8633d59, "bpf_prog_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x98f6ae9e, "pci_enable_device" },
	{ 0x75e60470, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x392f9762, "auxiliary_device_init" },
	{ 0xfc60b63, "pci_iomap" },
	{ 0x1feaee64, "pci_alloc_irq_vectors" },
	{ 0x98d6c719, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x2a6a66fb, "bpf_warn_invalid_xdp_action" },
	{ 0xd394e649, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xda49643f, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6e66b373, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x59e22337, "page_pool_destroy" },
	{ 0x1b85131, "xdp_do_redirect" },
	{ 0x22b6c918, "__put_devmap_managed_page_refs" },
	{ 0xa351a454, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5178fffa, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1652a2e6, "pci_irq_vector" },
	{ 0xd349dced, "__netif_napi_del" },
	{ 0xa3a314f5, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd159d26c, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9DDF274EDC0F88ED42717F3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
