#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51280cf2, "pci_restore_state" },
	{ 0xd709587d, "netif_tx_wake_queue" },
	{ 0x5d2f8db9, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x40bbe3bd, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x7b2e06ad, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdec5849a, "netif_tx_lock" },
	{ 0xe9880a30, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xaae192ae, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xa36b46aa, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd6b771d4, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe6829622, "rps_may_expire_flow" },
	{ 0x4b7c8097, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb3247c05, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xcdf73242, "pci_dev_get" },
	{ 0xd99eb834, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f76ee1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x329b4f87, "netif_carrier_on" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3fb30366, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7d368116, "i2c_smbus_write_byte_data" },
	{ 0x3ade6d76, "pci_disable_device" },
	{ 0x9a73cfa1, "dma_set_mask" },
	{ 0xee2c4b86, "__skb_flow_dissect" },
	{ 0xebe4454e, "pci_vpd_alloc" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x62eb612a, "mdio45_ethtool_ksettings_get_npage" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x5d693382, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x388a9170, "napi_disable" },
	{ 0x259c7827, "dev_kfree_skb_any_reason" },
	{ 0xb79a54ee, "mdio45_nway_restart" },
	{ 0x66e31134, "netif_set_tso_max_segs" },
	{ 0x165d9c3e, "i2c_smbus_read_byte_data" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe665e0fc, "pci_release_region" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0x2a38fbd0, "netdev_info" },
	{ 0xcbe2279a, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf0c7a48a, "register_netdevice" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8d415067, "alloc_etherdev_mqs" },
	{ 0xc2c0e923, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xad5dd709, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb23524df, "pci_request_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x555f360a, "skb_copy_bits" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0x98f6ae9e, "pci_enable_device" },
	{ 0x75e60470, "skb_put" },
	{ 0x933f23a0, "mtd_device_unregister" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf876410, "consume_skb" },
	{ 0x98d6c719, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6183cba5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdc1429b, "i2c_bit_add_bus" },
	{ 0xee0ad719, "pci_dev_put" },
	{ 0xd0e40e1c, "unregister_netdev" },
	{ 0xd38b11ee, "napi_get_frags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe354aa0a, "pci_get_device" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0xda49643f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x8c998bfb, "pci_disable_msi" },
	{ 0x829c476b, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x22b6c918, "__put_devmap_managed_page_refs" },
	{ 0xa351a454, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5178fffa, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6fee57b9, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd349dced, "__netif_napi_del" },
	{ 0xa3a314f5, "unregister_netdevice_queue" },
	{ 0x8e75487f, "mtd_device_parse_register" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd5fc1ec2, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd159d26c, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xa56c1d0a, "netdev_features_change" },
	{ 0xa1c7224a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x45bb33fd, "i2c_new_dummy_device" },
	{ 0x7b4dc2e0, "dev_driver_string" },
	{ 0xcfe8e8bf, "dev_addr_mod" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x98ba5bf5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0xb2ef572e, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x9a9b467a, "__napi_schedule" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0xabc5622d, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0x6b9dd7c8, "netif_device_detach" },
	{ 0x442f1d3, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xefb30c05, "_dev_info" },
	{ 0x8110fa64, "netif_device_attach" },
	{ 0x63e0fee5, "mdio45_links_ok" },
	{ 0xcee2eed, "i2c_del_adapter" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2377fa3, "iommu_get_domain_for_dev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4e36666, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x92a86001, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xf505da9, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xfdce6e03, "pci_enable_msi" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x89984b7, "i2c_unregister_device" },
	{ 0x365f1594, "softnet_data" },
	{ 0x1973bf07, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xba52d7ea, "netif_set_real_num_tx_queues" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd8b428e6, "netif_set_real_num_rx_queues" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0xf4e138ed, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdcbe8315, "dma_alloc_attrs" },
	{ 0xa61b1817, "napi_enable" },
	{ 0xe72b95ce, "netif_receive_skb" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x7f7e66b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e4bcf7, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x277f983a, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "mdio,mtd,i2c-algo-bit");

MODULE_ALIAS("pci:v00001924d00000703sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000710sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "088FF6C1C7D52A06C56EB0A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
