#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd129eea7, "eth_commit_mac_addr_change" },
	{ 0xa1c7224a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc39732, "pskb_expand_head" },
	{ 0x7b4dc2e0, "dev_driver_string" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0xcfe8e8bf, "dev_addr_mod" },
	{ 0x1508a80, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x98ba5bf5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96965a03, "dma_map_page_attrs" },
	{ 0xb2ef572e, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x148662da, "skb_checksum_help" },
	{ 0xa9374103, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9a9b467a, "__napi_schedule" },
	{ 0xcadebec4, "eth_prepare_mac_addr_change" },
	{ 0xa916b694, "strnlen" },
	{ 0x6b9dd7c8, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x442f1d3, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xb0d5682c, "napi_gro_receive" },
	{ 0x8110fa64, "netif_device_attach" },
	{ 0x43f65a79, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xa9df78d4, "build_skb" },
	{ 0x92a86001, "dev_open" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9fadffb1, "perf_trace_run_bpf_submit" },
	{ 0x3915ebbb, "__skb_get_hash" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x365f1594, "softnet_data" },
	{ 0x3fa5df63, "xdp_build_skb_from_frame" },
	{ 0x74019ed2, "vmbus_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xba52d7ea, "netif_set_real_num_tx_queues" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xd8b428e6, "netif_set_real_num_rx_queues" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0xf4e138ed, "dev_close" },
	{ 0xa61b1817, "napi_enable" },
	{ 0xada4551c, "netdev_upper_dev_unlink" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0x56a66849, "vmbus_next_request_id" },
	{ 0x7f7e66b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e4bcf7, "ethtool_op_get_link" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0x888b7f01, "__ethtool_get_link_ksettings" },
	{ 0xd392220e, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xd709587d, "netif_tx_wake_queue" },
	{ 0xa099466c, "dev_set_alias" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f350b6b, "dev_set_mac_address" },
	{ 0xfb578fc5, "memset" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd84d5ea8, "hv_pkt_iter_close" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x71065749, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x19e96d2a, "netdev_master_upper_dev_link" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa36b46aa, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb8bc1d8b, "pv_ops" },
	{ 0x57942947, "bpf_trace_run3" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xada4cd47, "__dev_queue_xmit" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2a319d17, "vmbus_set_sc_create_callback" },
	{ 0xa38ad7ab, "bpf_prog_add" },
	{ 0x2871a71e, "call_netdevice_notifiers" },
	{ 0x21ae4746, "dev_set_allmulti" },
	{ 0xb3247c05, "alloc_pages" },
	{ 0x1685fa35, "vmbus_request_addr" },
	{ 0x59b82646, "xdp_rxq_info_unreg" },
	{ 0xda94f655, "__vmbus_driver_register" },
	{ 0xc0c5b478, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x660f278a, "netdev_master_upper_dev_get" },
	{ 0xd9c558b4, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f76ee1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x49059824, "skb_clone" },
	{ 0x329b4f87, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x89b87da3, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x83f9efad, "netif_set_tso_max_size" },
	{ 0xee2c4b86, "__skb_flow_dissect" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x634f8169, "xdp_master_redirect" },
	{ 0xb5cfa7fd, "__napi_schedule_irqoff" },
	{ 0x5d693382, "napi_schedule_prep" },
	{ 0x1ddf1f86, "napi_consume_skb" },
	{ 0x388a9170, "napi_disable" },
	{ 0x259c7827, "dev_kfree_skb_any_reason" },
	{ 0x86b5c8ae, "netdev_notice" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x341cd79a, "__netdev_notify_peers" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x478d27ad, "vmbus_establish_gpadl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xee1b0984, "__dev_change_net_namespace" },
	{ 0x415901c8, "dev_change_flags" },
	{ 0xba54ebd9, "__hv_pkt_iter_next" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcbd737ab, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1a537423, "vmbus_sendpacket_pagebuffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x270112bc, "pci_bus_type" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2a38fbd0, "netdev_info" },
	{ 0x97a7ed39, "__skb_vlan_pop" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf0c7a48a, "register_netdevice" },
	{ 0xd419fd94, "__tracepoint_xdp_exception" },
	{ 0x8d415067, "alloc_etherdev_mqs" },
	{ 0xc6a9f727, "vmbus_driver_unregister" },
	{ 0x4336fcca, "ucs2_as_utf8" },
	{ 0x8ae3fb17, "__do_once_done" },
	{ 0x9eb074b0, "ethtool_virtdev_set_link_ksettings" },
	{ 0xf7593925, "dev_set_mtu" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc8633d59, "bpf_prog_put" },
	{ 0xe420b2c1, "dev_mc_sync" },
	{ 0xc5a381b0, "param_ops_uint" },
	{ 0x75e60470, "skb_put" },
	{ 0x161257be, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x68f7dea3, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd72a4667, "netdev_update_features" },
	{ 0x64ae140d, "vmalloc_to_page" },
	{ 0xf876410, "consume_skb" },
	{ 0x98d6c719, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0x2a6a66fb, "bpf_warn_invalid_xdp_action" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b2271b4, "dev_uc_sync" },
	{ 0x1e39ca0c, "dma_unmap_page_attrs" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x1a45041b, "vmbus_sendpacket" },
	{ 0x2ada1b03, "vmbus_teardown_gpadl" },
	{ 0x54062c37, "hv_pkt_iter_first" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0d87dd2, "dev_set_promiscuity" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x1b85131, "xdp_do_redirect" },
	{ 0xa351a454, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x475ea03c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x5178fffa, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd349dced, "__netif_napi_del" },
	{ 0xa3a314f5, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x90cf74f2, "vmbus_close" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "hv_vmbus");

MODULE_ALIAS("vmbus:635161f83edfc546913ff2d2f965ed0e");

MODULE_INFO(srcversion, "E9F4637AD7BCDE0E28A18CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
