#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3facea73, "phy_modify" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1f798be4, "bcm_phy_read_exp" },
	{ 0xf3528364, "bcm_phy_write_exp" },
	{ 0x6e1d751a, "bcm_phy_get_sset_count" },
	{ 0x82ba1cbf, "devm_gpiod_get" },
	{ 0xebeb73be, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x330ae35, "devm_request_threaded_irq" },
	{ 0x1a42659d, "device_set_wakeup_capable" },
	{ 0x6870672f, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x2bc84173, "pm_wakeup_dev_event" },
	{ 0xa0fe5f, "genphy_resume" },
	{ 0x5dc79732, "genphy_soft_reset" },
	{ 0x78d3d6fe, "bcm_phy_config_intr" },
	{ 0xf7ab427d, "bcm_phy_handle_interrupt" },
	{ 0x33b7521e, "bcm_phy_get_strings" },
	{ 0x7d662e60, "bcm_phy_led_brightness_set" },
	{ 0x8f02a25a, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa765fc6e, "phy_drivers_register" },
	{ 0x9f9d52a5, "mdiobus_read" },
	{ 0xc4ad1377, "phy_trigger_machine" },
	{ 0x788a46b2, "phy_error" },
	{ 0x1c9d18c1, "bcm54xx_auxctl_read" },
	{ 0xd3741ed1, "bcm54xx_auxctl_write" },
	{ 0x9279ae62, "bcm_phy_read_shadow" },
	{ 0xcd7cc703, "bcm_phy_write_shadow" },
	{ 0x6bae74c1, "__genphy_config_aneg" },
	{ 0x8377c8a5, "genphy_c37_read_status" },
	{ 0xbf46d157, "genphy_read_status" },
	{ 0xb52f94ca, "genphy_c37_config_aneg" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xd589cc5, "bcm_phy_get_wol" },
	{ 0xdad7d7c8, "bcm_phy_set_wol" },
	{ 0x8f69f71e, "bcm_phy_get_stats" },
	{ 0xc74b25b5, "phy_drivers_unregister" },
	{ 0xfc0c26fd, "mdiobus_write" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "libphy,bcm-phy-lib");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "765E51766C0426E5FD9B2CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
