#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xcc5d1879, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xd1c18c67, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x70f90774, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x9d479ec9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ee1f51e, "ip_mc_join_group" },
	{ 0xe3071bd0, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x9d187d2b, "lock_sock_nested" },
	{ 0x7e4bcf7, "ethtool_op_get_link" },
	{ 0x5831a560, "nexthop_find_by_id" },
	{ 0x985d9dbf, "arp_create" },
	{ 0x888b7f01, "__ethtool_get_link_ksettings" },
	{ 0x2f7e0e64, "netdev_adjacent_change_prepare" },
	{ 0xce72f12c, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x46afcb5c, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x5231c08, "netdev_adjacent_change_abort" },
	{ 0x72de5ac2, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xea9a1753, "__iptunnel_pull_header" },
	{ 0x71065749, "__pskb_pull_tail" },
	{ 0xec9f654a, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xf17b529, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xb9a97ed2, "setup_udp_tunnel_sock" },
	{ 0x56dd0423, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaae192ae, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa36b46aa, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdfa0e6f5, "skb_scrub_packet" },
	{ 0x65fca074, "nexthop_select_path" },
	{ 0xb8bc1d8b, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x41d267da, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaf0459af, "neigh_destroy" },
	{ 0x562116a8, "dst_cache_get_ip6" },
	{ 0x5ec6e72, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xc003752c, "udp_tun_rx_dst" },
	{ 0x15e7e08, "dst_cache_set_ip6" },
	{ 0x269e12f7, "rtnl_notify" },
	{ 0x6ecebd1d, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4f20c030, "__netif_rx" },
	{ 0x49059824, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7393e659, "metadata_dst_alloc" },
	{ 0xdfc7c3fe, "dst_release" },
	{ 0xf744881, "unregister_nexthop_notifier" },
	{ 0x7ff9f6b9, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4e093872, "udp_tunnel_notify_del_rx_port" },
	{ 0xbda55801, "register_nexthop_notifier" },
	{ 0xc286ccf1, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x155f8e59, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0x2a38fbd0, "netdev_info" },
	{ 0x7e1aabaa, "neigh_lookup" },
	{ 0xfb66b615, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf0c7a48a, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xacdbb297, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2b47b71f, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x555f360a, "skb_copy_bits" },
	{ 0x43fdf2ef, "__nlmsg_put" },
	{ 0x48f20115, "netdev_adjacent_change_commit" },
	{ 0x407c0ea2, "eth_mac_addr" },
	{ 0x75e60470, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x63d99937, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa1bde78, "ip6_dst_hoplimit" },
	{ 0x8ab3a875, "param_ops_ushort" },
	{ 0xf876410, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8e91ccc9, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x38972f63, "dst_cache_set_ip4" },
	{ 0xa3058831, "udp_tunnel6_xmit_skb" },
	{ 0x5115e88a, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x6ff907f5, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xa351a454, "eth_validate_addr" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xdf5564d7, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x863ff86c, "rtnl_create_link" },
	{ 0xbb91666, "ip_route_output_flow" },
	{ 0xa3a314f5, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc0300238, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xab5a4056, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8eb7965, "udp_tunnel_drop_rx_port" },
	{ 0xec23c074, "netdev_upper_dev_link" },
	{ 0xbc39732, "pskb_expand_head" },
	{ 0x31ba5992, "register_pernet_subsys" },
	{ 0xcfe8e8bf, "dev_addr_mod" },
	{ 0xd8d3b525, "netdev_core_stats_alloc" },
	{ 0x98ba5bf5, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0x78bc0f22, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5647ed83, "eth_gro_complete" },
	{ 0xd3ee9455, "rtnl_set_sk_err" },
	{ 0x3898d1fe, "eth_gro_receive" },
	{ 0x4f6d838c, "rtnl_configure_link" },
	{ 0x1a70ca0f, "skb_tunnel_check_pmtu" },
	{ 0x33568cd3, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x549fff00, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x95933a6d, "__dev_get_by_index" },
	{ 0xfaafd3f5, "rtnl_link_unregister" },
	{ 0x3915ebbb, "__skb_get_hash" },
	{ 0x5b091dbe, "ipv6_stub" },
	{ 0x1973bf07, "skb_pull" },
	{ 0x40e398f8, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x10ab9f61, "dev_get_by_index_rcu" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0x9083163f, "gro_cells_receive" },
	{ 0x56334b63, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xada4551c, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x7f7e66b, "free_netdev" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "89AC3FF60EE280C8E0C1D71");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
