#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(orinoco_open, "", "");
KSYMTAB_FUNC(orinoco_stop, "", "");
KSYMTAB_FUNC(orinoco_set_multicast_list, "", "");
KSYMTAB_FUNC(orinoco_change_mtu, "", "");
KSYMTAB_FUNC(orinoco_process_xmit_skb, "", "");
KSYMTAB_FUNC(orinoco_tx_timeout, "", "");
KSYMTAB_FUNC(__orinoco_ev_rx, "", "");
KSYMTAB_FUNC(__orinoco_ev_info, "", "");
KSYMTAB_FUNC(orinoco_interrupt, "", "");
KSYMTAB_FUNC(orinoco_init, "", "");
KSYMTAB_FUNC(alloc_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_if_add, "", "");
KSYMTAB_FUNC(orinoco_if_del, "", "");
KSYMTAB_FUNC(free_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_up, "", "");
KSYMTAB_FUNC(orinoco_down, "", "");
KSYMTAB_FUNC(hermes_struct_init, "", "");

SYMBOL_CRC(orinoco_open, 0xb4493c87, "");
SYMBOL_CRC(orinoco_stop, 0x5ac50436, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0x19da0cc0, "");
SYMBOL_CRC(orinoco_change_mtu, 0x07213ace, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0xaa15f098, "");
SYMBOL_CRC(orinoco_tx_timeout, 0xb6989de4, "");
SYMBOL_CRC(__orinoco_ev_rx, 0x6c535638, "");
SYMBOL_CRC(__orinoco_ev_info, 0xfff82798, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0x39799809, "");
SYMBOL_CRC(alloc_orinocodev, 0x61958ab4, "");
SYMBOL_CRC(orinoco_if_add, 0x35c59132, "");
SYMBOL_CRC(orinoco_if_del, 0xacee478c, "");
SYMBOL_CRC(free_orinocodev, 0xc84a054a, "");
SYMBOL_CRC(orinoco_up, 0x73ec0c95, "");
SYMBOL_CRC(orinoco_down, 0x53ba0b1d, "");
SYMBOL_CRC(hermes_struct_init, 0xa74c2dc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefe2138, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x4c1c0297, "crypto_shash_setkey" },
	{ 0x2ee86c57, "cfg80211_wext_giwfrag" },
	{ 0x56334b63, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf02f4c3d, "wireless_send_event" },
	{ 0x1f8640c9, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7f7e66b, "free_netdev" },
	{ 0x8b18c35, "iw_handler_get_spy" },
	{ 0x1b41ad67, "crypto_shash_update" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd709587d, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cc213f5, "wireless_spy_update" },
	{ 0xf17b529, "netif_rx" },
	{ 0xe9880a30, "__netdev_alloc_skb" },
	{ 0xaae192ae, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf47320bd, "cfg80211_wext_siwmode" },
	{ 0xa2c6aee1, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x310cdf57, "crypto_shash_final" },
	{ 0xb1d16790, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8e01d496, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f76ee1, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xb2ef38e3, "cfg80211_wext_siwscan" },
	{ 0x329b4f87, "netif_carrier_on" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x71aa63fe, "cfg80211_inform_bss_data" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd57bef2a, "param_ops_int" },
	{ 0xc4335d03, "crypto_alloc_shash" },
	{ 0x7c9cf92b, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0x93910b4c, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8d415067, "alloc_etherdev_mqs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x407c0ea2, "eth_mac_addr" },
	{ 0x75e60470, "skb_put" },
	{ 0x1ab2c57f, "cfg80211_scan_done" },
	{ 0xf876410, "consume_skb" },
	{ 0xcc521cd7, "cfg80211_wext_siwfrag" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0e40e1c, "unregister_netdev" },
	{ 0x8083526, "cfg80211_wext_giwrts" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x4aa8f645, "request_firmware" },
	{ 0x34145ec7, "cfg80211_wext_giwscan" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe9068b1, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e8ed5a1, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xa351a454, "eth_validate_addr" },
	{ 0x926ee1cf, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x16c9503d, "cfg80211_wext_giwmode" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc9a2c49, "cfg80211_wext_giwrange" },
	{ 0xcfe8e8bf, "dev_addr_mod" },
	{ 0xcfa94786, "crypto_destroy_tfm" },
	{ 0x98ba5bf5, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x523ef397, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb494d076, "iw_handler_get_thrspy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4b66e98, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xbbbe392c, "cfg80211_put_bss" },
	{ 0x6b9dd7c8, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xefb30c05, "_dev_info" },
	{ 0xa02a1ef, "cfg80211_wext_siwrts" },
	{ 0x8110fa64, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "B1B647A019CEB604DA8EB41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
