#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nci_get_conn_info_by_dest_type_params, "", "");
KSYMTAB_FUNC(nci_req_complete, "", "");
KSYMTAB_FUNC(nci_prop_cmd, "", "");
KSYMTAB_FUNC(nci_core_cmd, "", "");
KSYMTAB_FUNC(nci_core_reset, "", "");
KSYMTAB_FUNC(nci_core_init, "", "");
KSYMTAB_FUNC(nci_nfcc_loopback, "", "");
KSYMTAB_FUNC(nci_set_config, "", "");
KSYMTAB_FUNC(nci_nfcee_discover, "", "");
KSYMTAB_FUNC(nci_nfcee_mode_set, "", "");
KSYMTAB_FUNC(nci_core_conn_create, "", "");
KSYMTAB_FUNC(nci_core_conn_close, "", "");
KSYMTAB_FUNC(nci_allocate_device, "", "");
KSYMTAB_FUNC(nci_free_device, "", "");
KSYMTAB_FUNC(nci_register_device, "", "");
KSYMTAB_FUNC(nci_unregister_device, "", "");
KSYMTAB_FUNC(nci_recv_frame, "", "");
KSYMTAB_FUNC(nci_send_frame, "", "");
KSYMTAB_FUNC(nci_send_cmd, "", "");
KSYMTAB_FUNC(nci_conn_max_data_pkt_payload_size, "", "");
KSYMTAB_FUNC(nci_send_data, "", "");
KSYMTAB_FUNC(nci_to_errno, "", "");
KSYMTAB_FUNC(nci_hci_send_event, "", "");
KSYMTAB_FUNC(nci_hci_send_cmd, "", "");
KSYMTAB_FUNC(nci_hci_clear_all_pipes, "", "");
KSYMTAB_FUNC(nci_hci_open_pipe, "", "");
KSYMTAB_FUNC(nci_hci_set_param, "", "");
KSYMTAB_FUNC(nci_hci_get_param, "", "");
KSYMTAB_FUNC(nci_hci_connect_gate, "", "");
KSYMTAB_FUNC(nci_hci_dev_session_init, "", "");

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0x9d3ddd05, "");
SYMBOL_CRC(nci_req_complete, 0x53bd4db9, "");
SYMBOL_CRC(nci_prop_cmd, 0xad72c155, "");
SYMBOL_CRC(nci_core_cmd, 0x8776d954, "");
SYMBOL_CRC(nci_core_reset, 0x99b84301, "");
SYMBOL_CRC(nci_core_init, 0x456451a7, "");
SYMBOL_CRC(nci_nfcc_loopback, 0x3441fa05, "");
SYMBOL_CRC(nci_set_config, 0x3d683e8b, "");
SYMBOL_CRC(nci_nfcee_discover, 0x7b75ec8b, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0xf979bd13, "");
SYMBOL_CRC(nci_core_conn_create, 0xffda7c4d, "");
SYMBOL_CRC(nci_core_conn_close, 0x50a2a7b7, "");
SYMBOL_CRC(nci_allocate_device, 0xda59065b, "");
SYMBOL_CRC(nci_free_device, 0xc2d1b0d5, "");
SYMBOL_CRC(nci_register_device, 0xcfaffd2c, "");
SYMBOL_CRC(nci_unregister_device, 0x593ea5e7, "");
SYMBOL_CRC(nci_recv_frame, 0x70ce97d8, "");
SYMBOL_CRC(nci_send_frame, 0xa9dd55e1, "");
SYMBOL_CRC(nci_send_cmd, 0x0f4f695c, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0xd6519aac, "");
SYMBOL_CRC(nci_send_data, 0xc0c88706, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0xbb319d07, "");
SYMBOL_CRC(nci_hci_send_cmd, 0xf3ec4647, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0x69572a45, "");
SYMBOL_CRC(nci_hci_open_pipe, 0xda52abc1, "");
SYMBOL_CRC(nci_hci_set_param, 0x10dd3667, "");
SYMBOL_CRC(nci_hci_get_param, 0x33067ef8, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x642062cf, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0x98f7198a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x193dc4f8, "nfc_get_local_general_bytes" },
	{ 0x293e0017, "nfc_set_remote_general_bytes" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0x1973bf07, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x56334b63, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa5545872, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaae192ae, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ed099ee, "nfc_targets_found" },
	{ 0xceecba2a, "nfc_dep_link_is_up" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0xaf864bf3, "nfc_send_to_raw_sock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0x38db217b, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x75e60470, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd394e649, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc5a46277, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x120c6809, "nfc_allocate_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe010475a, "nfc_tm_data_received" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc39732, "pskb_expand_head" },
	{ 0xdfb7be80, "skb_queue_purge_reason" },
	{ 0xa5974a83, "nfc_tm_deactivated" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaa9e95f4, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa795975f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0x32576a0b, "skb_queue_tail" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "47C6DFF792351ADE6015734");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
