#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0x751460c0, "");
SYMBOL_CRC(pn_sock_unhash, 0x69585888, "");
SYMBOL_CRC(phonet_stream_ops, 0xb4c54dc4, "");
SYMBOL_CRC(pn_sock_get_port, 0x0f83def0, "");
SYMBOL_CRC(phonet_header_ops, 0x05aa66cb, "");
SYMBOL_CRC(pn_skb_send, 0xa7e82de1, "");
SYMBOL_CRC(phonet_proto_register, 0x3baffca9, "");
SYMBOL_CRC(phonet_proto_unregister, 0x98ad80ec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40e8ee60, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa3528988, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54de39cf, "sock_register" },
	{ 0xe92534a0, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0x41b7629c, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd3ee9455, "rtnl_set_sk_err" },
	{ 0x3a411511, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa1485da6, "module_put" },
	{ 0x7adeff96, "__sk_receive_skb" },
	{ 0x8eb9abaf, "sock_no_shutdown" },
	{ 0x95933a6d, "__dev_get_by_index" },
	{ 0x4ae12f8c, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7c44c477, "dev_remove_pack" },
	{ 0xe5be1b4a, "dev_get_by_index" },
	{ 0x81c85e95, "sk_free" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0x611ffa93, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x56334b63, "skb_push" },
	{ 0x3272dd1a, "sock_no_listen" },
	{ 0xd5a43273, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9d187d2b, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbffb618, "skb_copy_datagram_iter" },
	{ 0xce72f12c, "rtnl_register_module" },
	{ 0x1785a98f, "sk_alloc" },
	{ 0x46afcb5c, "unregister_pernet_subsys" },
	{ 0x90fb1005, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4baadae3, "sock_no_mmap" },
	{ 0x71065749, "__pskb_pull_tail" },
	{ 0xf17b529, "netif_rx" },
	{ 0x322a9524, "sock_common_recvmsg" },
	{ 0xaae192ae, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1ee9310a, "sk_common_release" },
	{ 0xd3858411, "seq_pad" },
	{ 0xb0d30d9a, "sock_i_ino" },
	{ 0xada4cd47, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x267c12a4, "skb_recv_datagram" },
	{ 0xc2854cb8, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfb30c659, "remove_proc_entry" },
	{ 0x269e12f7, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb6ca0fce, "seq_printf" },
	{ 0x49059824, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0x4eef93ee, "seq_puts" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc1c274b8, "from_kuid_munged" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa0bbfcc3, "sock_init_data" },
	{ 0x4c9c717f, "sk_ioctl" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfb66b615, "release_sock" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x14df717c, "skb_free_datagram" },
	{ 0x6d47ec19, "sock_queue_rcv_skb_reason" },
	{ 0x9055382c, "try_module_get" },
	{ 0xce2e6c82, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x43fdf2ef, "__nlmsg_put" },
	{ 0x75e60470, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf876410, "consume_skb" },
	{ 0x659771d8, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xd1aa87d8, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4b070ef3, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb81e40df, "sock_no_connect" },
	{ 0x635cded5, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfb00ed4b, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc39732, "pskb_expand_head" },
	{ 0x31ba5992, "register_pernet_subsys" },
	{ 0xdfb7be80, "skb_queue_purge_reason" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F121FA1CA78A31D4592CEF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
