#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x96262b23, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x9333e52d, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xd2e72059, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xc28f9db7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xbd4470cc, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xce0cbf82, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x874b7873, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x21a1e06a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xdaeacc78, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x12788c96, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x26672426, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x1c53a312, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x92f25a1c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x822ad658, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x5e6cbc76, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xeee40d05, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x36226074, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x30acd394, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x7e02d01a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xe1c0499f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x9fe1c7ad, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xdb86ec27, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x4baadb9a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xfab77d08, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xd3b37371, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x1879340c, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xc3234965, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x5d7753fa, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xecc7d9cb, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xabf4e009, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x4e61ab88, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x41a709a6, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x8de49615, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x1c8f4d05, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x798d80f0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x0107ea5d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x823d66e0, "vsock_remove_sock" },
	{ 0x58f0dafc, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd2957d24, "vsock_deliver_tap" },
	{ 0xdbcc4932, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa568cdac, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1a4f706b, "bpf_trace_run8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56d2b801, "sk_error_report" },
	{ 0xfbe6df26, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xafe0d24, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xb62ce077, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9fadffb1, "perf_trace_run_bpf_submit" },
	{ 0x1973bf07, "skb_pull" },
	{ 0x81c85e95, "sk_free" },
	{ 0x650b4036, "kfree_skb_reason" },
	{ 0x99b20c71, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1e01d39e, "__skb_recv_datagram" },
	{ 0x9d187d2b, "lock_sock_nested" },
	{ 0x6343d953, "vsock_stream_has_data" },
	{ 0xfea53456, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8d1dec28, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd33d14ce, "bpf_trace_run10" },
	{ 0xc0adf6d7, "vsock_core_get_transport" },
	{ 0x82770aee, "vsock_stream_has_space" },
	{ 0xf0448176, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x62ef75c0, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0x2d05baf7, "vsock_create_connected" },
	{ 0xddba42a8, "vsock_assign_transport" },
	{ 0x3a905efd, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xfb66b615, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd29b1191, "vsock_data_ready" },
	{ 0xb4adabfe, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4a15606, "_copy_to_iter" },
	{ 0xaf512240, "vsock_insert_connected" },
	{ 0x75e60470, "skb_put" },
	{ 0xf876410, "consume_skb" },
	{ 0x4e6f2e1, "trace_raw_output_prep" },
	{ 0x3ee17f5e, "__trace_trigger_soft_disabled" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
