#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0xc0292dba, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0x767c2b65, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x8bcca162, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0x24b2647a, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x827e9545, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0x3081b773, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0xc6e7d18a, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0xc0129a34, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0x2aab3166, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0xc2374b65, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0xe3f8469f, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0xea9fca3b, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0x6947a022, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0x1f839b70, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xec3465a2, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x79a25bf0, "regmap_read" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeb69b298, "regmap_bulk_read" },
	{ 0x7a46382a, "regmap_update_bits_base" },
	{ 0xa5a1961e, "regmap_multi_reg_write" },
	{ 0xc82af66c, "kmalloc_trace" },
	{ 0xf2da5247, "regmap_register_patch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf02e4956, "kmalloc_caches" },
	{ 0xfd10b753, "regmap_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BD6D4E3C9D8C9C618D7841A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
