#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x889726ee, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x2d605775, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x4d417b48, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xf88ef581, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xa9414d2b, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x7dea868c, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xf49750ef, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x820fda87, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x34673cfb, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x2bf6fe21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf39ad53e, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0xad274599, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x72e04a5f, "devm_snd_soc_register_component" },
	{ 0xf8f9e3ee, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1867f00, "sdw_write_no_pm" },
	{ 0x4d97dd7, "devm_free_irq" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0x60f8015a, "regulator_bulk_disable" },
	{ 0xefb30c05, "_dev_info" },
	{ 0x5a5cd23c, "snd_soc_info_volsw" },
	{ 0x52005248, "cs35l56_init_cs_dsp" },
	{ 0xaf111a9b, "wm_adsp_power_down" },
	{ 0xc56726af, "regcache_drop_region" },
	{ 0xec3465a2, "_dev_err" },
	{ 0xf6c23c3f, "debugfs_create_bool" },
	{ 0x6d109071, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x43556002, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5baa7404, "cs35l56_runtime_suspend_common" },
	{ 0x42c3d434, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea9ae9c7, "cs35l56_mbox_send" },
	{ 0xa35bbe79, "cs35l56_hw_init" },
	{ 0x464a17e7, "_dev_warn" },
	{ 0x6708928d, "wm_adsp2_component_probe" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3d05f56, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x82304730, "cs35l56_system_reset" },
	{ 0x47c11fd6, "snd_soc_info_enum_double" },
	{ 0xcbc65bf8, "regulator_bulk_enable" },
	{ 0x654e91b0, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc4d4cf1a, "wm_adsp2_component_remove" },
	{ 0xb8c781ee, "cs35l56_wait_for_firmware_boot" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0xbf2105a5, "snd_soc_get_volsw" },
	{ 0x7ea8974c, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x4398bf26, "cs35l56_is_fw_reload_needed" },
	{ 0x79a25bf0, "regmap_read" },
	{ 0x77c5e8e3, "snd_soc_put_volsw" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa5556d2a, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xeb69b298, "regmap_bulk_read" },
	{ 0x4e67a72c, "sdw_stream_remove_slave" },
	{ 0xe9de0cd5, "cs35l56_runtime_resume_common" },
	{ 0xfc403e73, "dapm_regulator_event" },
	{ 0x7a46382a, "regmap_update_bits_base" },
	{ 0x3dd0dc8d, "dev_err_probe" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0xcb51f364, "snd_soc_dapm_get_enum_double" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0xb5a5ad13, "wm_halo_init" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0x4ac877e6, "cs35l56_firmware_shutdown" },
	{ 0x285c7810, "sdw_stream_add_slave" },
	{ 0x59bdb111, "pm_runtime_force_suspend" },
	{ 0x783f8b31, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x1aba0272, "snd_soc_dapm_put_enum_double" },
	{ 0x8a5018ad, "regcache_cache_only" },
	{ 0xe211423b, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfd10b753, "regmap_write" },
	{ 0x133ad7ce, "snd_soc_dapm_mux_update_power" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7b121828, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd6b627d5, "snd_soc_card_get_kcontrol_locked" },
	{ 0xa3485628, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd09a243b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd-soc-cs35l56-shared,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "EB5F2F0DC1F116AB1EF664D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
